0.230 2021-03-31
----------------


MAME Testers Bugs Fixed
-----------------------
- 05191: [Save/Restore] (megadriv.cpp) megadriv [evander,wboymw]: EEPROM data is not saved. (Ryan Holtz)
- 05580: [DIP/Input] (royalmah.cpp) cafetime: DIP switch settings are incorrect. (kamilz)
- 05785: [DIP/Input] (cabal.cpp) cabal and clones (except cabalbl): Coins don’t work when Demo Sound DIP switch is off. (AJR)
- 05800: [Sound] (megadriv.cpp) genesis / megadriv / megadrij [microm96] [microm96a] [micromm]: Incorrect horn sound. (Aaron Giles)
- 05875: [Misc.] (magictg.cpp) magictg: AddressSanitizer: Buffer overrun in ZR36120 emulation. (Robbbert)
- 06166: [Sound] (megadriv.cpp) megadriv [batman]: Bad emulated sound effects when hitting enemies. (Aaron Giles)
- 06740: [Sound] (dec0.cpp) slyspy, bouldash: Sound randomly speeds up and eventually stops working. (Aaron Giles)
- 06789: [Graphics] (namconb1.cpp) vshoot: Black screen after winning first match. (O. Galibert)
- 06930: [Sound] (dec0.cpp) robocop, robocopu, robocopw: The sound effect of the van’s back door cuts off suddenly. (Aaron Giles)
- 07023: [Misc.] (megadriv.cpp) megadriv [fatfury, fatfuryu]: Description is incomplete. (ArcadeShadow)
- 07052: [Gameplay] (mac128.cpp) macplus [bdrkcast]: Mac Plus interrupt timing is incorrect. (Lord Nightmare)
- 07161: [Sound] (dec0.cpp) baddudes: Missing sound in stage 3 boss transformation. (Aaron Giles)
- 07193: [Documentation] (megadriv.cpp) megadriv [jellyboy]: Release year is incomplete. (ArcadeShadow)
- 07303: [Media Support] (coco3.cpp) coco3 [tharogad]: The Castle of Tharogad game cartridge does not run. (AJR)
- 07389: [Sound] (williams.cpp) inferno: DAC sound is incorrect. (Ivan Vangelista)
- 07767: [Documentation] (megadriv.cpp) [megadriv] tecmowc, tecmow92: These are regional variants of the same game. (ArcadeShadow)
- 07831: [Sound] (gaelco3d.cpp) surfplnt, surfplnt40, speedup: Sound has repeating distortion/crackling. (Ivan Vangelista)
- 07849: [DIP/Input] (taitosj.cpp) sfposeid: Identified bonus life and infinite lives DIP switch settings. (jkburks)
- 07856: [Core] (ksys573.cpp) ddr2mla, ddrbocd, Analog DDR games: Songs run at half frame rate. (Windy Fairy)
- 07885: [Media Support] (xerox820.cpp) x820: Can no longer boot CP/M from floppy disk. [O. Galibert]
- 07886: [Media Support] (plus4.cpp) c16: Cartridges are ignored, system boots to BASIC. (Ivan Vangelista)
- 07887: [Crash/Freeze] (divebomb.cpp) divebomb: [debug] K051316 ROM region is not a power-of-two size. (Ivan Vangelista)
- 07889: [Crash/Freeze] (ti99_4p.cpp) ti99_4p, ti99_4ev: [debug] Assertion fails as VRAM size is unset on start. (Ivan Vangelista)
- 07898: [Interface] (gaelco3d.cpp) speedup: Speed Up is missing a shifter overlay. (Ivan Vangelista)
- 07904: [Documentation] (monkey_king_3b.cpp) rs70_648: Manufacturer is not set. (AntoPISA)
- 07909: [Sound] (tecmo16.cpp) ginkun: Level Select, Minigame Select and Credits music doesn’t play. (David Haywood)
- 07916: [Crash/Freeze] (playch10.cpp) pc_pinbt: Exception when using single screen BIOS. (Ivan Vangelista)


New working machines
--------------------
Andrew Holme Mark 1 FORTH Computer [AJR]
Electronic Master Mind (Invicta) [hap, Sean Riddle]
Football 2 (Mattel) [hap, Sean Riddle]
Invicta Super-Sonic Electronic Master Mind [hap, Sean Riddle]
Kmart Dunk 'n Sunk [hap, Sean Riddle]
M.E.M. Belgium Memoquiz [hap, Sean Riddle]
Mattel Brain Baffler [hap, Sean Riddle]
Mattel Horoscope Computer [hap, Sean Riddle]
Mattel World Championship Football [hap, Sean Riddle, Kevin Horton, O. Galibert]
MSI / Bandai Namco Namco Classics Vol.1 (3-in-1) (MSI Plug & Play) [Sean Riddle]
NSI International / Mammoth Toys (Licensed by Hasbro) TV Board Games 3-in-1: Boggle, Connect 4, Roll Over
  [Sean Riddle, David Haywood]
NSI International / Mammoth Toys (Licensed by Hasbro) TV Board Games 3-in-1: Silly 6 Pins, Hungry Hungry Hippos, Match 'em
  [Sean Riddle, David Haywood]
NSI International / Mammoth Toys (Licensed by Hasbro) TV Board Games 3-in-1: Simon, Battleship, Checkers
  [Sean Riddle, David Haywood]
NSI International / Mammoth Toys (Licensed by Hasbro) TV Board Games 6-in-1: Silly 6 Pins, Candy Land, Hungry Hungry Hippos,
  Match 'em, Mixin' Pics, Checkers [Sean Riddle, David Haywood]
NSI International / Mammoth Toys (Licensed by Hasbro) TV Board Games 6-in-1: Simon, Battleship, Mouse Trap, Checkers, Link-a-Line,
  Roll Over [Sean Riddle, David Haywood]
Selchow & Righter Reader's Digest Q&A - Computer Question & Answer Game [hap, Sean Riddle]
Selchow & Righter Scrabble Sensor - Electronic Word Game [hap, Sean Riddle]
Taikee / Oregon Scientific / V-Tac Technology Co Ltd. Teléfono interactivo de TV (Spain)
  [ClawGrip, Sean Riddle, David Haywood, ArcadeHacker]
Tiger Electronics Sub Wars (LED version) [hap, Sean Riddle, Rik]
Tri-1 (Fonas) [hap, Sean Riddle]
VTech Dora the Explorer - Dora TV Adventure Globe [Sean Riddle, David Haywood]
VTech Dora the Explorer - Dora TV Explorer Phone / Boots's Special Day [Sean Riddle, David Haywood, Kamaal Brown]


New working clones
------------------
beatmania IIDX 3rd style (GC992 JAB) [Jennifer Taylor]
beatmania IIDX 7th style (GCB44 JAB) [Jennifer Taylor]
beatmania IIDX Substream (983-AA JAA) [Jennifer Taylor]
Big 50 (JPM) (IMPACT) (BF12 L12) [James Wallace]
Big Bucks (JPM) (IMPACT) (set 1) [James Wallace]
Camelot (JPM) (IMPACT) (CA8 C10) [James Wallace]
Casino Crazy (JPM) (IMPACT) (CC07C L12) (set 1) [James Wallace]
Cuore 1 (Italian, set 6) [f205v]
Cuore 1 (Italian, set 7) [f205v]
Genius 6 (V133F) [Arzeno Fabrice]
Give Us A Break (JPM) (IMPACT) (GB 5 C 8) (set 1) [James Wallace]
Go For Gold (JPM) (IMPACT) (set 1) [James Wallace]
Happy Hour (JPM) (IMPACT) (HH2 C5) (set 1) [James Wallace]
Keyboardheaven (Korea) [Jennifer Taylor, Windy Fairy]
Magic 10 Nevada (bootleg of Pool 10) [f205v]
Maze (Trog bootleg) [Jorge Silva]
Mega Man: The Power Battle (CPS2, USA 950925, SAMPLE Version) [bdlou]
Meijinsen (set 2) [AeroCityMayor, The Dumping Union]
Oedo Fight (Japan, Bloodless version) [ekorz]
Player's Edge Plus (PP0419) Standard Draw Poker (Old Chicago Casino) [Brian Troha]
Player's Edge Plus (PP0419) Standard Draw Poker (set 1) [Brian Troha]
Rabbit (Asia 1-28?) [twistedsymphony, The Dumping Union]
Raiders5 (Japan, set 2, bootleg?) [Paul Wood]
Saitek / Tandy Corporation Chess Champion 2150 [hap, Berger]
Surf Planet (Version 3.0) [jordigahan]
Task Force Harrier (Lettering bootleg) [hammy, EMG]
US AAF Mustang (Lettering bootleg) [hammy, Doctor Pinball]


Machines promoted to working
----------------------------
Apple Computer Macintosh 128k [R. Belmont, O. Galibert]
Apple Computer Macintosh Classic [R. Belmont, O. Galibert]
Apple Computer Macintosh Classic II [R. Belmont, O. Galibert]
Apple Computer Macintosh II [R. Belmont, O. Galibert]
Apple Computer Macintosh II (FDHD) [R. Belmont, O. Galibert]
Apple Computer Macintosh IIci [R. Belmont, O. Galibert]
Apple Computer Macintosh IIsi [R. Belmont, O. Galibert]
Apple Computer Macintosh IIvx [R. Belmont, O. Galibert]
Apple Computer Macintosh LC III [R. Belmont, O. Galibert]
Apple Computer Macintosh Plus [R. Belmont, O. Galibert, Patrick Mackinlay]
Apple Computer Macintosh SE [R. Belmont, O. Galibert]
Apple Computer Macintosh SE (FDHD) [R. Belmont, O. Galibert]
beatmania IIDX 2nd style (GC985 JAA) [Jennifer Taylor]
beatmania IIDX 3rd style (GC992 JAC) [Jennifer Taylor]
beatmania IIDX 5th style (GCA17 JAA) [Jennifer Taylor]
beatmania IIDX Substream (983 JAA) [Jennifer Taylor]
Beatmania III [Windy Fairy]
Beatmania III Append 7th Mix [Windy Fairy]
Beatmania III The Final [Windy Fairy]
Keyboardmania [Windy Fairy]
Keyboardmania 2nd Mix [Windy Fairy]
Keyboardmania 3rd Mix [Windy Fairy]
ParaParaDancing [Windy Fairy]
ParaParaParadise [Windy Fairy]
ParaParaParadise v1.1 [Windy Fairy]
Untouchable (JPM) (IMPACT) (UN3B LO6) [David Haywood, James Wallace]


Clones promoted to working
--------------------------
Apple Computer Macintosh 512k [R. Belmont, O. Galibert]
Apple Computer Macintosh 512ke [R. Belmont, O. Galibert]
Apple Computer Macintosh II (w/o 68851 MMU) [R. Belmont, O. Galibert]
Apple Computer Macintosh IIcx [R. Belmont, O. Galibert]
Apple Computer Macintosh IIvi [R. Belmont, O. Galibert]
Apple Computer Macintosh IIx [R. Belmont, O. Galibert]
Apple Computer Macintosh SE/30 [R. Belmont, O. Galibert]
beatmania IIDX 3rd style (GC992 JAA) [Jennifer Taylor]
Big 50 (JPM) (IMPACT) (BF L8) [James Wallace]
Big 50 (JPM) (IMPACT) (BF12 AH12) [James Wallace]
Big 50 (JPM) (IMPACT) (BF12 L12, Whitbread) [James Wallace]
Big 50 (JPM) (IMPACT) (BF12P F12, Protocol) [James Wallace]
Big Bucks (JPM) (IMPACT) (set 10) [James Wallace]
Big Bucks (JPM) (IMPACT) (set 2) [James Wallace]
Big Bucks (JPM) (IMPACT) (set 3) [James Wallace]
Big Bucks (JPM) (IMPACT) (set 4) [James Wallace]
Big Bucks (JPM) (IMPACT) (set 5) [James Wallace]
Big Bucks (JPM) (IMPACT) (set 6) [James Wallace]
Big Bucks (JPM) (IMPACT) (set 7) [James Wallace]
Big Bucks (JPM) (IMPACT) (set 8) [James Wallace]
Big Bucks (JPM) (IMPACT) (set 9) [James Wallace]
bootleg (Unitron) Mac 512 [R. Belmont, O. Galibert]
bootleg (Unitron) Unitron 1024 [R. Belmont, O. Galibert]
Camelot (JPM) (IMPACT) (CA6 C8) [James Wallace]
Camelot (JPM) (IMPACT) (CA8 AC10) [James Wallace]
Camelot (JPM) (IMPACT) (CA8 C10, Whitbread) [James Wallace]
Camelot (JPM) (IMPACT) (CA8P C10, Protocol) [James Wallace]
Casino Crazy (JPM) (IMPACT) (CC02C L08) (set 14) [James Wallace]
Casino Crazy (JPM) (IMPACT) (CC07C L12) (set 2) [James Wallace]
Casino Crazy (JPM) (IMPACT) (CC11C L16) (set 4) [James Wallace]
Casino Crazy (JPM) (IMPACT) (CC12C L17) (set 12) [James Wallace]
Casino Crazy (JPM) (IMPACT) (CC16C L23) (set 6) [James Wallace]
Casino Crazy (JPM) (IMPACT) (CC16C L23) (set 7) [James Wallace]
Casino Crazy (JPM) (IMPACT) (CC16C L23) (set 9) [James Wallace]
Give Us A Break (JPM) (IMPACT) (GB 5 C 8) (set 3, Whitbread) [James Wallace]
Give Us A Break (JPM) (IMPACT) (GB 5P C 8) (set 2, Protocol) [James Wallace]
Give Us A Break (JPM) (IMPACT) (GB 6 C 9) (set 4) [James Wallace]
Give Us A Break (JPM) (IMPACT) (GB 6 C 9) (set 6) [James Wallace]
Give Us A Break (JPM) (IMPACT) (GB 6 C 9) (set 7, Whitbread) [James Wallace]
Give Us A Break (JPM) (IMPACT) (GB 6P C 9) (set 5, Protocol) [James Wallace]
Go For Gold (JPM) (IMPACT) (set 2, Protocol) [James Wallace]
Go For Gold (JPM) (IMPACT) (set 3) [James Wallace]
Go For Gold (JPM) (IMPACT) (set 4, Whitbread) [James Wallace]
Happy Hour (JPM) (IMPACT) (HH2 C5) (set 2) [James Wallace]
Happy Hour (JPM) (IMPACT) (HH2 C5) (set 3) [James Wallace]
ParaParaParadise 1st Mix Plus [Windy Fairy]
Untouchable (JPM) (IMPACT) (UN3BI LO6) [David Haywood, James Wallace]


New machines marked as NOT_WORKING
----------------------------------
Akai Electric MPC60 MIDI Production Center [DBWBP]
Basic Fun Ms. Pac-Man (mini arcade) [Sean Riddle]
Basic Fun Pac-Man (mini arcade) [Sean Riddle]
Bee-Zerk [Bad A Billy, Smitdogg, The Dumping Union]
Corsario (Cirsa slot machine) [jordigahan, ClawGrip]
LeapFrog Turbo Twist Fact Blaster (US) [Sean Riddle, David Haywood]
LeapFrog Turbo Twist Spelling (US) [Sean Riddle, David Haywood]
LeapFrog Turbo Twist Vocabulator (US) [Sean Riddle, David Haywood]
Marbella Vice (100Hz display) [Arcade Player, Recreativas.org]
Mini Money [jordigahan, ClawGrip]
Mushiking The King Of Beetles 2006 First (Japan) [Darksoft, rtw]
Super Mario All-Stars (Nintendo Super System) [Mike Ortizz]
Tierras Salvajes (100Hz display) [Arcade Planet, Recreativas.org]
unknown VLC multigame [Bad A Billy, Smitdogg, The Dumping Union]


New clones marked as NOT_WORKING
--------------------------------
A.G. Soccer Ball (R18u, 2.1 sound) [PinMAME]
Bad Cats (LG-4) [PinMAME]
Cyber Troopers Virtual-On - Twin (Export) [twistedsymphony]
The Flintstones (LA-5) [PinMAME]
Lucky Draw (pinball, set 2) [PinMAME]
Mazan: Flash of the Blade (Japan, MAZ1 Ver.A) [Darksoft, MetalliC, rtw]
No Fear: Dangerous Sports (0.8X) [PinMAME]
Scorpion (Dec 24, 1993) [jordigahan, ClawGrip]
Theatre Of Magic (1.2A) [PinMAME]
Thunder Dragon (bootleg, set 2) [hammy, EMG]
Virtua Striker 2 '99.1 (Step 1.5, Export, USA, Revision B) [Brian Troha, The Dumping Union]
Virtua Striker 2 '99.1 (Step 1.5, Japan, Revision B) [Brian Troha, The Dumping Union]


New working software list additions
-----------------------------------
apple2_flop_clcracked:
  Life Story Frog (cleanly cracked), MECC-A103 Smoking: It's Up To You (cleanly cracked),
  MECC-A104 Payroll System: A Business Simulation (cleanly cracked),
  MECC-A106 Word Herd: Sound-Alikes (Version 1.0) (cleanly cracked), MECC-A107 Ducks (Version 1.1) (cleanly cracked),
  MECC-A109 Circus Math (Version 1.0) (cleanly cracked), MECC-A110 Exploring Sorting Routines (Version 1.1) (cleanly cracked),
  MECC-A111 Pets, Ltd. (Version 1.0) (cleanly cracked), MECC-A112 Word Wizards (Version 1.0) (cleanly cracked),
  MECC-A112 Word Wizards (Version 1.2) (cleanly cracked), MECC-A112 Word Wizards (Version 1.3) (cleanly cracked),
  MECC-A114 Writing an Opinion Paper (Version 1.0) (cleanly cracked), MECC-A115 Right of Way (Version 1.1) (cleanly cracked),
  MECC-A116 Puzzles and Posters (Version 1.1) (cleanly cracked), MECC-A116 Puzzles and Posters (Version 1.3) (cleanly cracked),
  MECC-A116 Puzzles and Posters (Version 1.6) (cleanly cracked), MECC-A119 Master Spell (Version 1.0) (cleanly cracked),
  MECC-A119 Master Spell (Version 1.3) (cleanly cracked), MECC-A120 Word Herd: Look-Alikes (Version 1.0) (cleanly cracked),
  MECC-A121 Jeux Mathematiques Classiques (Version 1.0) (cleanly cracked), MECC-A123 Prime Numbers (Version 1.0) (cleanly cracked),
  MECC-A124 Estimation (Version 1.0) (cleanly cracked), MECC-A125 Addition Logician (Version 1.0) (cleanly cracked),
  MECC-A126 Study Guide (Version 1.5) (cleanly cracked), MECC-A127 Salt and You (Version 1.0) (cleanly cracked),
  MECC-A128 Discovery Lab (Version 1.0) (cleanly cracked), MECC-A129 Data Handler (Version 1.0) (cleanly cracked),
  MECC-A130 MECC Keyboarding Primer (Version 1.0) (cleanly cracked),
  MECC-A131 MECC Keyboarding Master: Games and Drills (Version 1.1) (cleanly cracked),
  MECC-A132 MECC Writer (Version 1.1) (cleanly cracked), MECC-A132 MECC Writer (Version 1.2) (cleanly cracked),
  MECC-A133 MECC Writer (Version 1.2) (cleanly cracked), MECC-A134 MECC Speller (Version 1.0) (cleanly cracked),
  MECC-A135 MECC Editor (Version 1.0) (cleanly cracked), MECC-A136 MECC Graphing Primer (Version 1.0) (cleanly cracked),
  MECC-A137 MECC Graph (Version 1.1) (cleanly cracked), MECC-A159 Sound Tracks (Version 1.0) (cleanly cracked),
  MECC-A160 The Market Place (Version 1.0) (cleanly cracked), MECC-A161 Jenny's Journeys (Version 1.0) (cleanly cracked),
  MECC-A162 Path Tactics (Version 1.0) (cleanly cracked),
  MECC-A163 MECC Dataquest: The Fifty States (Version 1.0) (cleanly cracked),
  MECC-A164 Fun from A to Z (Version 1.0) (cleanly cracked), MECC-A165 Counting Critters (Version 1.0) (cleanly cracked),
  MECC-A166 Arithmetic Critters (Version 1.0) (cleanly cracked), MECC-A167 Quickflash (Version 1.0) (cleanly cracked),
  MECC-A168 Clock Works (Version 1.0) (cleanly cracked), MECC-A169 Speedway Math (Version 1.0) (cleanly cracked),
  MECC-A170 Number Munchers (Version 1.0) (cleanly cracked), MECC-A170 Number Munchers (Version 1.3) (cleanly cracked),
  MECC-A171 Show Time (Version 1.0) (cleanly cracked), MECC-A171 Show Time (Version 1.1) (cleanly cracked),
  MECC-A172 MECC Dataquest Composer (Version 1.0) (cleanly cracked),
  MECC-A175 Phonics Prime Time: Initial Consonants (Version 1.0) (cleanly cracked),
  MECC-A176 Phonics Prime Time: Final Consonants (Version 1.0) (cleanly cracked),
  MECC-A177 Phonics Prime Time: Vowels I (Version 1.0) (cleanly cracked),
  MECC-A178 Phonics Prime Time: Vowels II (Version 1.0) (cleanly cracked),
  MECC-A179 Phonics Prime Time: Blends and Digraphs (Version 1.0) (cleanly cracked),
  MECC-A180 Words at Work: Contraction Action (Version 1.0) (cleanly cracked),
  MECC-A181 Words at Work: Prefix Power (Version 1.0) (cleanly cracked),
  MECC-A182 Words at Work: Suffix Sense (Version 1.0) (cleanly cracked),
  MECC-A183 Words at Work: Compound It (Version 1.0) (cleanly cracked),
  MECC-A185 Those Amazing Reading Machines (Version 1.0) (cleanly cracked),
  MECC-A186 Those Amazing Reading Machines II (Version 1.0) (cleanly cracked),
  MECC-A187 Those Amazing Reading Machines III (Version 1.0) (cleanly cracked),
  MECC-A188 Those Amazing Reading Machines IV (Version 1.0) (cleanly cracked), MECC-A191 Odell Lake (Version 1.0) (cleanly cracked),
  MECC-A191 Odell Lake (Version 1.2) (cleanly cracked), MECC-A192 Coordinate Math (Version 1.0) (cleanly cracked),
  MECC-A192 Coordinate Math (Version 1.1) (cleanly cracked), MECC-A193 Equation Math (Version 1.0) (cleanly cracked),
  MECC-A193 Equation Math (Version 1.1) (cleanly cracked), MECC-A195 Money Works (Version 1.0) (cleanly cracked),
  MECC-A195 Money Works (Version 1.1) (cleanly cracked), MECC-A196 Fraction Munchers (Version 1.0) (cleanly cracked),
  MECC-A198 To Preserve, Protect and Defend (Version 1.1) (cleanly cracked), MECC-A199 Zoyon Patrol (Version 1.0) (cleanly cracked),
  MECC-A201 Conquering Whole Numbers (Version 1.0) (cleanly cracked),
  MECC-A201 Conquering Whole Numbers (Version 1.1) (cleanly cracked),
  MECC-A202 Fraction Concepts, Inc. (Version 1.0) (cleanly cracked),
  MECC-A202 Fraction Concepts, Inc. (Version 1.2) (cleanly cracked),
  MECC-A203 Fraction Practice Unlimited (Version 1.0) (cleanly cracked),
  MECC-A203 Fraction Practice Unlimited (Version 1.1) (cleanly cracked),
  MECC-A204 Conquering Fractions (Addition, Subtraction) (Version 1.0) (cleanly cracked),
  MECC-A204 Conquering Fractions (Addition, Subtraction) (Version 1.1) (cleanly cracked),
  MECC-A205 Conquering Fractions (Multiplication, Division) (Version 1.0) (cleanly cracked),
  MECC-A205 Conquering Fractions (Multiplication, Division) (Version 1.1) (cleanly cracked),
  MECC-A206 Decimal Concepts (Version 1.0) (cleanly cracked),
  MECC-A207 Conquering Decimals (Addition, Subtraction) (Version 1.0) (cleanly cracked),
  MECC-A208 Conquering Decimals (Multiplication, Division) (Version 1.0) (cleanly cracked),
  MECC-A208 Conquering Decimals (Multiplication, Division) (Version 1.1) (cleanly cracked),
  MECC-A209 Conquering Ratios and Proportions (Version 1.0) (cleanly cracked),
  MECC-A210 Conquering Percents (Version 1.0) (cleanly cracked), MECC-A210 Conquering Percents (Version 1.1) (cleanly cracked),
  MECC-A211 Mystery Objects (Version 1.0) (cleanly cracked), MECC-A212 Mystery Matter (Version 1.0) (cleanly cracked),
  MECC-A213 Miner's Cave (Version 1.0) (cleanly cracked), MECC-A214 Wood Car Rally (Version 1.0) (cleanly cracked),
  MECC-A214 Wood Car Rally (Version 1.1) (cleanly cracked), MECC-A215 Lunar Greenhouse (Version 1.0) (cleanly cracked),
  MECC-A216 Backyard Birds (Version 1.0) (cleanly cracked), MECC-A217 Weeds to Trees (Version 1.0) (cleanly cracked),
  MECC-A218 Invisible Bugs (Version 1.0) (cleanly cracked), MECC-A219 Five-Star Forecast (Version 1.0) (cleanly cracked),
  MECC-A220 Fossil Hunter (Version 1.0) (cleanly cracked), MECC-A221 Murphy's Minerals (Version 1.0) (cleanly cracked),
  MECC-A222 Sun and Seasons (Version 1.0) (cleanly cracked), MECC-A224 Instant Survey (Version 1.0) (cleanly cracked),
  MECC-A225 Time Navigator Leaps Back (Version 1.0) (cleanly cracked), MECC-A227 Patterns (Version 1.0) (cleanly cracked),
  MECC-A227 Patterns (Version 1.2) (cleanly cracked), MECC-A228 MECC Outliner (Version 1.0) (cleanly cracked),
  MECC-A229 Exploring Gas Laws (Version 1.0) (cleanly cracked), MECC-A230 Spelling Workout (Version 1.0) (cleanly cracked),
  MECC-A230 Spelling Workout (Version 1.1) (cleanly cracked), MECC-A230B Spelling List Editor (Version 1.0) (cleanly cracked),
  MECC-A230B Spelling List Editor (Version 1.1) (cleanly cracked), MECC-A230B Spelling List Editor (Version 1.2) (cleanly cracked),
  MECC-A230B Spelling List Editor (Version 1.3) (cleanly cracked), MECC-A230B Spelling List Editor (Version 1.4) (cleanly cracked),
  MECC-A231 Spellevator (Version 1.0) (cleanly cracked), MECC-A231 Spellevator (Version 1.2) (cleanly cracked),
  MECC-A231 Spellevator (Version 1.3) (cleanly cracked), MECC-A232 Spelling Press (Version 1.0) (cleanly cracked),
  MECC-A240 Computer Inspector (Version 1.0) (cleanly cracked), MECC-A241 LabelMaker (Version 1.0) (cleanly cracked),
  MECC-A242 Teach Option Organizer (Version 1.2) (cleanly cracked),
  MECC-A244 MECC Dataquest: The Middle East and North Africa (Version 1.0) (cleanly cracked),
  MECC-A245 Instant Survey (Version 1.0) (cleanly cracked), MECC-A246 Measure Works (Version 1.0) (cleanly cracked),
  MECC-A247 Time Navigator (Version 1.0) (cleanly cracked), MECC-A248 CommuniKeys (Version 1.1) (cleanly cracked),
  MECC-A250 MECC Dataquest: North American Mammals (Version 1.0) (cleanly cracked),
  MECC-A250 MECC Dataquest: North American Mammals (Version 1.1) (cleanly cracked),
  MECC-A251 Chemistry: The Periodic Table (Version 1.1) (cleanly cracked),
  MECC-A254 MECC Dataquest: Asia and Oceania (Version 1.0) (cleanly cracked),
  MECC-A255 Picture Chompers (Version 1.0) (cleanly cracked), MECC-A256 Bluegrass Bluff (Version 1.0) (cleanly cracked),
  MECC-A257 Problem Solving with Nim (Version 1.0) (cleanly cracked),
  MECC-A258 Estimation: Quick Solve I (Version 1.0) (cleanly cracked),
  MECC-A259 Estimation: Quick Solve II (Version 1.0) (cleanly cracked),
  MECC-A260 Conquering Math Worksheet Generator (Version 1.0) (cleanly cracked),
  MECC-A262 Probability Lab (Version 1.0) (cleanly cracked),
  MECC-A263 Exploring Sequences and Series (Version 1.0) (cleanly cracked),
  MECC-A271 Grammar Toy Shop (Version 1.0) (cleanly cracked), MECC-A272 Grammar Monsters (Version 1.0) (cleanly cracked),
  MECC-A273 Grammar Gazette (Version 1.0) (cleanly cracked), MECC-A278 The Living Cell (Version 1.0) (cleanly cracked),
  MECC-A279 Lewis and Clark Stayed Home (Version 1.0) (cleanly cracked),
  MECC-A280 Chemistry: Balancing Equations (Version 1.0) (cleanly cracked),
  MECC-A281 Paper Plane Pilot (Version 1.0) (cleanly cracked), MECC-A282 Cleanwater Detectives (Version 1.0) (cleanly cracked),
  MECC-A283 Woolly Bounce (Version 1.0) (cleanly cracked), MECC-A284 Cavity Busters (Version 1.0) (cleanly cracked),
  MECC-A290 Space Station Freedom (Version 1.0) (cleanly cracked), MECC-A291 Vacation Nation Travel (Version 1.0) (cleanly cracked),
  MECC-A292 Littletown Zoo (Version 1.0) (cleanly cracked), MECC-A295 Estimation Strategies (Version 1.0) (cleanly cracked),
  MECC-A296 Estimation Activities (Version 1.0) (cleanly cracked), MECC-A302 Fish School (Version 1.0) (cleanly cracked),
  MECC-A303 Moving Museum (Version 1.0) (cleanly cracked), MECC-A304 Eerieville Library (Version 1.0) (cleanly cracked),
  MECC-A306 Grammar Gobble (Version 1.0) (cleanly cracked), MECC-A307 Grammar Madness (Version 1.0) (cleanly cracked),
  MECC-A309 Woolly's Garden (Version 1.0) (cleanly cracked), MECC-A310 Wonderland Puzzles (Version 1.0) (cleanly cracked),
  MECC-A311 Picture A Story (Version 1.0) (cleanly cracked), MECC-A317 Take A Chance! (Version 1.0) (cleanly cracked),
  MECC-A330 Nutrition Nabber (Version 1.0) (cleanly cracked), MECC-A333 Pizza to Go (Version 1.0) (cleanly cracked),
  MECC-A334 Electrifying Adventures (Version 1.0) (cleanly cracked),
  MECC-A336 Amazing Arithmetricks (Version 1.0) (cleanly cracked), MECC-A337 Treasures for Sale (Version 1.0) (cleanly cracked),
  MECC-A340 CryptoQuest (Version 1.0) (cleanly cracked), MECC-A343 Science Giants (Version 1.0) (cleanly cracked),
  MECC-A351 Get Well, Woolly! (Version 1.0) (cleanly cracked), MECC-A401 Energy House (Version 1.0) (cleanly cracked),
  MECC-A402 Elementary Genetics (Version 1.1) (cleanly cracked), MECC-A403 Logic Gates (Version 1.0) (cleanly cracked),
  MECC-A405 Sports Stats (Version 1.0) (cleanly cracked), MECC-A406 Create-A-Base (Version 1.0) (cleanly cracked),
  MECC-A407 Book Worm (Version 1.0) (cleanly cracked), MECC-A712 Music Theory: Music Fundamentals (Version 1.0) (cleanly cracked),
  MECC-A719 Elementary Volume 5: Language Arts: Prefixes (Version 1.5) (cleanly cracked),
  MECC-A719 Elementary Volume 5: Language Arts: Prefixes (Version 1.7) (cleanly cracked),
  MECC-A721 Business Volume 3: Accounting (Version 1.8) (cleanly cracked),
  MECC-A726 Spelling Volume 1: Primary (Version 2.0) (cleanly cracked) [4am, Firehawke]
ekara_japan_s: Hello Kitty Special (Japan) (SC0001-KTY) [TeamEurope]
ekara_japan_sp: SP-05 Super Cartridge - TV POP Junior with Chibi Marukochan & Anpanman (Japan) [TeamEurope]
fmtowns_cd:
  Alice no Yakata 3 (1995-05-16), Battle, Ehon Writer V1.1 L10, Never Land, Oto to E no Deru Eigo Jisho No. 2 - English in Dream,
  Populous II - Trials of the Olympian Gods - Expert, Running Girls - Hashiri Onna II + Rance 4.1 / 4.2 Hint Disk,
  Soreike! Anpanman - Tanoshii Eigo Asobi, Toshiyuki Yoshino - Lullaby of BirdLand, True Heart (alt), Viper GTS [redump.org]
  Half Moon ni Kawaru made - Ramiya Ryou no Nijiiro Tamatebako [redump.org, wiggy2k]
fmtowns_flop_orig:
  CD+Graphics Player V1.1L10, Nihongo MS-DOS V6.2 L10 (Kihon Kinou), Ponyon [cyo.the.vile]
  AIV - A Ressha de Ikou 4 - Map Construction + Power-Up Kit, Legends of Valour - Gouyuu no Densetsu - Demonstration [wiggy2k]
ibm5170: Museum Madness Top Gun: Danger Zone [The Good Old Days]
sgi_mips:
  Hot Mix Volume 12 (alternate) [nixzone.nl, Davide Cavalca]
  IRIX 6.5.20, IRIX 6.5.24, IRIX 6.5.25 [pixelbart.net, Davide Cavalca]
sorcerer_cass: Cosmic Fighter (ported from TRS-80) [exidyboy]


Software list items promoted to working
---------------------------------------
apple2_flop_clcracked: MECC-A157 Oregon Trail (Version 1.1) (cleanly cracked) [4am, Firehawke]
fmtowns_cd:
  Nobunaga no Yabou - Sengoku Gun'yuuden [cherokee]
  Windows 3.1 L11 [cyo.the.vile]


New NOT_WORKING software list additions
---------------------------------------
ekara_japan_gk: GK-2 - Disney Princess: Princess Debut (Japan), GK-3 - Disney Tinkerbell to Tinkle Star Uranai (Japan) [TeamEurope]
fmtowns_cd: Scavenger 4 (HME-217B) [redump.org]
fmtowns_flop_orig:
  Nihongo MS-DOS V5.0 L10 (Kihon Kinou) [cyo.the.vile]
  Mah-Saiko-Jong [wiggy2k]
leapfrog_didj_cart: Super Chicks (USA) [TeamEurope]
leapfrog_zippity_cart:
  Disney Princess - Magical Movement & Learning (500-13590-A) (UK), The World of Cars - Driven to Learn (500-13589-B) (UK)
  [TeamEurope]
pockchalw:
  Shinkenzemi Chuugaku Kouza - Chuu 1 Eigo (S11), Shinkenzemi Chuugaku Kouza - Chuu 2 Eigo,
  Shinkenzemi Chuugaku Kouza - Chuu 2 Eigo (N21), Shinkenzemi Chuugaku Kouza - Chuu 2 Eigo (N22),
  Shinkenzemi Chuugaku Kouza - Chuu 2 Eigo (N24), Shinkenzemi Chuugaku Kouza - Chuu 3 Eigo (N31),
  Shinkenzemi Chuugaku Kouza - Chuu 3 Eigo (N32), Shinkenzemi Chuugaku Kouza - Chuu 3 Eigo (N33),
  Shinkenzemi Chuugaku Kouza - Chuu 3 Eigo (N35), Shinkenzemi Chuugaku Kouza - Chuu 3 Eigo (N37),
  Shinkenzemi Chuugaku Kouza - Chuugaku Chiri (C), Shinkenzemi Chuugaku Kouza - Chuugaku Chiri (NC),
  Shinkenzemi Chuugaku Kouza - Chuugaku Chiri - Rekishi Pack (Chiri Soft - Rekishi Soft Kanzen Taiou Ban) (CR),
  Shinkenzemi Chuugaku Kouza - Chuugaku Rekishi (NR), Shinkenzemi Chuugaku Kouza - Chuugaku Rekishi (R),
  Shinkenzemi Chuugaku Kouza - Chuugaku Rika (1-bunya) (L1), Shinkenzemi Chuugaku Kouza - Chuugaku Rika (1-bunya) (L1) (*),
  Shinkenzemi Chuugaku Kouza - Chuugaku Rika (2-bunya) (L2), Shinkenzemi Chuugaku Kouza - Chuugaku Rika (2-bunya) (L2) (*),
  Shinkenzemi Chuugaku Kouza - Chuugaku Rika Pack (1-bunya - Soft 2-bunya Soft Kanzen Taiou Ban) (LP),
  Shinkenzemi Chuugaku Kouza - Koukou Juken (Ei - Sha - Ri) (0G1), Shinkenzemi Chuugaku Kouza - Koukou Juken (Ei - Sha - Ri) (1-G1),
  Shinkenzemi Chuugaku Kouza - Koukou Juken (Ei - Sha - Ri) (G-1), Shinkenzemi Chuugaku Kouza - Koukou Juken (Kuni - Suu) (G-2),
  Shinkenzemi Koukou Kouza - Daigaku Juken Series - Hinshutsu Eitango (T),
  Shinkenzemi Koukou Kouza - Daigaku Juken Series - Juuyou Eigo Koubun (B),
  Shinkenzemi Koukou Kouza - Hinshutsu Nihonshi Kouryaku (0D), Shinkenzemi Koukou Kouza - Hinshutsu Sekaishi Kouryaku (0W),
  Shinkenzemi Koukou Kouza - Hinshutsu Sekaishi Kouryaku (W), Shinkenzemi Koukou Kouza - Juuyou Kobun Kouryaku (A) (0BKD01) [skaman]
sega_beena_cart:
  1-nichi 10-pun de E ga Jouzu ni Kakeru Beena, Anpanman no Waku Waku Game Oekaki, Beena Town e Youkoso,
  Cooking Beena: O-Ryouri Dekichatta!, Disney Tanoshii O-Benkyou Series 1: Mic de Kantan ABC,
  Disney Tanoshii Oekaki: O-Mise-ya-san o Tsukutchaou!, Hello Kitty no Hiragana Katakana O-Namae Kaitemiyou!,
  Kouchuu Ouja Mushiking: Mori no Tami no Densetsu: Minna de Tanken! Kouchuu no Mori,
  Partner In TV! O-Uchi ni Wan-chan ga Yattekita, Point Gakushuu Tokei [TeamEurope]


Translations added or modified
------------------------------
Portuguese (Brazil) [Chrystian Rafael Rubio de Melo]


Merged pull requests
--------------------
- 7695: Added synchronous I/O for RS232 port and HP98046 module. [F.Ulivi]
- 7718: Added save state support for Namco System 21 family. [cam900]
- 7756: machine/tc009xlvc.cpp: Integrated Z80 CPU core in device, and fixed background drawing (visible in gemcrush). [cam900]
- 7763: machine/fdc37c665gt.cpp: Reimplemented with added floppy and parallel port support. [Windy Fairy]
- 7789: hng64.cpp: Implemented priority Z sort mode for sprites. [Happy]
- 7792: hash/sgi_mips.xml: Added three entries, and missing discs for various entries. [nixzone.nl, pixelbart.net, Davide Cavalca]
- 7800: sound/setapcm.cpp: Added preliminary 16-voice ST0032 internal sound support (used by jclub2). [cam900]
- 7808: sound/ymfm.cpp: Added new BSD-licensed implementation of Yamaha OPN/OPM FM synthesis emulation. [Aaron Giles]
- 7810: hng64.cpp: Improved projection matrix calculation and 3D clipping. [Happy]
- 7811: sound/cdda.cpp: Return LBA position as currently playing LBA (fixes issues with Konami System 573 games). [Windy Fairy]
- 7815: apple2gs.xml: Added descriptions for sys504 and sys601. [Kelvin Sherlock]
- 7816: Added two TV games, and several LeapFrog and e-kara software list entries. [David Haywood]
- 7817: twinkle.cpp: Removed periodic source for IRQ2. [Ziemas]
- 7818: firebeat.cpp: Re-dumped CDs for two games, and added Keyboardheaven (Korea). [Jennifer, Taylor, David Haywood]
- 7819: neptunp2.cpp: Added Corsario (Cirsa slot machine). [jordigahan, ClawGrip]
- 7821: spg2xx.cpp: Added Dora the Explorer - Dora TV Adventure Globe. [Sean Riddle, David Haywood]
- 7822: machine/t10mmc.cpp: Handle LBA zero correctly when first track is audio. [Windy Fairy]
- 7824: elan_ep3a19a.cpp: Added two TV Board Games 6-in-1 games. [Sean Riddle, David Haywood]
- 7825: cps2.cpp: Added Mega Man: The Power Battle (CPS2, USA 950925, SAMPLE Version). [bdlou, r09]
- 7826: nova2001.cpp: Added Raiders5 (Japan, set 2, bootleg?). [Paul Wood, David Haywood]
- 7827: Added dongle dumps, improved cabinet info register settings, and updated notes. [Jennifer Taylor]
- 7828: firebeat.cpp: Improved IN1 values, and added notes on DIP switches. [Windy Fairy]
- 7829: ksys573.cpp: Use ddr2ml disc as base for ddr2mc2. [Windy Fairy]
- 7831: psikyo.cpp: Fixed crash in samuraia and clones accessing non-existent ROM region. [cam900]
- 7832: merits.cpp: Added Scorpion (Dec 24, 1993). [jordigahan, ClawGrip]
- 7833: twinkle.cpp: Added all missing CD and hard disk dumps, and added three beatmania IIDX variants. [Jennifer Taylor]
- 7834: Improved Brazilian Portuguese translation. [Chrystian Rafael Rubio de Melo]
- 7834: firebeat.cpp: Added support for beatmania III floppy disk drive and spectrum analyzer. [Windy Fairy]
- 7837: debugger: Added “wpsize” variable for accessing the access size that triggered a watchpoint. [moralrecordings]
- 7838: elan_ep3a19a.cpp: Added three TV Board Games 3-in-1 variants. [Sean Riddle, David Haywood]
- 7840: momoko.cpp: Fixed video code reading beyond the end of ROM region (caused glitches on high score table). [David Haywood]
- 7841: Fixed rewind functionality (GitHub #7806). [feos]
- 7845: alg.cpp: Added 100 Hz display versions of Tierras Salvajes and Marbella Vice. [Arcade Planet, Recreativas.org, ClawGrip]
- 7846: video/k057714.cpp: Implemented raster timing registers (fixes timings on some Konami Firebeat games). [Windy Fairy]
- 7847: jpmimpct.cpp, jpmimpctsw.cpp: Fixed reel display in j6big50, and added sound ROM for j6untch. [David Haywood]
- 7848: generalplus_gpl16250_spi_direct.cpp: Added Pac-Man (mini arcade) and Ms. Pac-Man (mini arcade). [Sean Riddle, David Haywood]
- 7849: midzeus.cpp: Disabled waveram drawing feature by default. [David Haywood]
- 7850: spg2xx.cpp: Added Teléfono interactivo de TV (Spain). [ClawGrip, Sean Riddle, David Haywood]
- 7851: zaxxon.cpp: Fixed tilemap/sprite priority for ixion; also demoted lastfght and raccoon to not working. [David Haywood]
- 7856: joystand.cpp: Converted cartridge access function to address_map_bank_device and cleaned up code. [cam900]
- 7857: leapfrog_iquest.cpp: Added Turbo Twist Spelling (US) and Turbo Twist Vocabulator (US). [Sean Riddle, David Haywood]
- 7858: sega_beena_cart.xml: Added ten entries, and corrected pokebw scan sizes and checksums. [TeamEurope, ClawGrip]
- 7859: apple2gs.cpp: Added checks for special key combinations to ADB GLU microcontroller simulation. [Kelvin Sherlock]
- 7860: leapfrog_iquest.cpp: Added Turbo Twist Fact Blaster (US). [Sean Riddle, David Haywood]
- 7861: spectrum_cass.xml: Updated metadata for six entries. [ArcadeShadow]
- 7864: fmtowns_flop.xml: Split into separate lists for original, cracked and miscellaneous software, and added seven entries. [r09]
- 7866: tecmo16.cpp: Improved interrupt acknowledge mechanism; 1943.cpp: Fixed drawing past the end of sprite RAM. [David Haywood]
- 7871: apple2gs.cpp: Check for presence of floppy drives before deselecting them. [Kelvin Sherlock]
- 7872: bgfx: Made crt-geom and crt-geom-deluxe scan lines adjustable, and added a low-pass filter for crt-geom-deluxe. [cgwg]
- 7873: firebeat.cpp: Replaced Keyboardmania 1st Mix and 2nd Mix CD dumps with images including subchannel data. [Windy Fairy]
- 7874: fmtowns_cd.xml: Added thirteen entries, replaced twelve entries with better dumps, and added five missing floppies. [r09]
- 7857: Added UI option to mute audio when emulation is not throttled (GitHub #7843). [Ryan Holtz]
- 7876: spectrum_cass.xml: Filled in year and publisher for many entries. [ArcadeShadow]
- 7879: ibm5170.xml: Added Museum Madness and Top Gun: Danger Zone. [The Good Old Days, ArcadeShadow]
- 7881: coco12.cpp: Set proper tri-state value for keyboard PIA port B (fixes MT07701). [Tim Lindner]
- 7882: alg.cpp: Added notes about Picmatic games. [ClawGrip]
- 7883: machine/i2cmem.cpp: Added Xicor X24C01 support (used for save data in some Mega Drive cartridges). [Ryan Holtz]
- 7885: bus/megadrive/jcart.cpp: Fixed I²C read address for Codemasters games. [Ryan Holtz]
- 7886: bus/megadrive/sk.cpp: Fixed saving in Sonic 3 & Knuckles, and allowed all cartridges to be locked on. [Ryan Holtz]
- 7887: apple2gs.cpp: Configure SCC Baud rate generator input clocks. [Kelvin Sherlock]
- 7889: apple2_flop_clcracked.xml: Added latest cracks, with lots of MECC software. [4am, Firehawke]
- 7893: gaelco3d.cpp: Added Surf Planet (Version 3.0). [jordigahan, ClawGrip]
- 7894: apple2_flop_clcracked.xml: Fixed CRC for mcwacs10. [Firehawke]
- 7895: ssv.cpp: Fixed gdfs (Mobile Suit Gundam Final Shooting) sound ROM loading. [David Haywood]


Source Changes
--------------
-missile, mpz80, mz700, pockstat, pofo, proteus3, savquest: initialized some variables which were causing incorrect behaviours in
 drvnoclear debug builds [Ivan Vangelista]

-video/hng64.cpp: Implemented priority Z sort mode for sprites. (#7789) [Happy-yappH]

-iwm/swim: Small write fixes [Olivier Galibert]

-iwm: compile fix [R. Belmont]

-iwm: Finish the fix, sorry about the mistake [Olivier Galibert]

-mac: Correctly sync the main cpu to the via.  Fixes the floppy writes, probably need to be propagated to other handlers
 [Olivier Galibert]

-iwm/swim1: correct sense value when drive is not connectd [Olivier Galibert]

-apple2gs.xml: Add descriptions for sys504/sys601 [ksherlock]

-sound/cdda.cpp: Return LBA position as currently playing LBA. (#7811) [987123879113]

-Refactored Seta sound, adding preliminary ST0032 sound support. (#7800) [cam900]
 * Renamed sound/nile.cpp to sound/setapcm.cpp.
 * Added preliminary support for 16-voice ST0032 variant.
 * jclub2.cpp: Hooked up ST0032 sound.
 * jclub2.cpp, srmp6.cpp: Derive sound clocks from crystal frequencies.

-m3: XTAL updates [Steve Hunt]

-mac128: Implement the PWM (NEW_IWM only), fix the via clocks superdrive: Hopefully implement the HD/DD detection [Olivier Galibert]

-fromanc2, hp_ipc, hp3478a, hp80, hp9k_3xx, inder, iris3130, news_r3k, pc4: initialized some variables which were causing incorrect
 behaviours in drvnoclear debug builds [Ivan Vangelista]

-simple_st0016.cpp: got rid of tagmap lookups and other small cleanups [Ivan Vangelista]

-hh_cops1: qkracerm ram is 8x12 [hap]

-68HC05EG: use the HCMOS cycle timings [R. Belmont, Vas Crabb]

-byte8251, ccs7710: Don't take over C800-CFFF space [AJR]

-addrmap: Allow creators in the memory map [Olivier Galibert]

-alphatpc16, amstr_pc, cischeat, kaypro, m72, pdp11, peplus, pt68k4, rm380z, sapi1, taito, tandy1t, tk80bs, univac, vegas, videopkr,
 votrpss, vsnes, williams: initialized some variables which were causing incorrect behaviours in drvnoclear debug builds
 [Ivan Vangelista]

-simple_st0016.cpp: enabled save state support [Ivan Vangelista]

-68hc05EG: use proper HC05 base cycle timings and disassembler [R. Belmont, Vas Crabb]

-mac updates: [R. Belmont]
 * Adjust macadb timings to work with real timings from the microcontrollers
 * Eliminate via_cycles timing hack
 * Preliminary working ADB on Portable and PowerBook 100

-mac.cpp: set correct floppy drive types for most machines [R. Belmont]

-new WORKING machines (Dora TV Explorer Phone plug+play) + some leapfrog softlists + ekara carts (#7816) [David Haywood]

new WORKING machines
--------------------
Dora the Explorer - Dora TV Explorer Phone / Boots's Special Day [Sean Riddle, David Haywood, Kamaal Brown]
Namco Classics Vol.1 (3-in-1) (MSI Plug & Play) [Sean Riddle]

new NOT WORKING software list additions
---------------------------------------
leapfrog_zippity_cart.xml: [David Haywood]
The World of Cars - Driven to Learn (500-13589-B) (UK) [David Haywood, TeamEurope]
Disney Princess - Magical Movement & Learning (500-13590-A) (UK) [David Haywood, TeamEurope]
leapfrog_didj_cart.xml: [David Haywood]
Super Chicks (USA) [TeamEurope]

new software list additions
---------------------------
ekara_japan_s.xml: [David Haywood]
Hello Kitty Special (Japan) (SC0001-KTY) [TeamEurope]
ekara_japan_sp.xml: [David Haywood]
SP-05 Super Cartridge - SP-05 Super Cartridge - TV POP Junior with Chibi Marukochan & Anpanman (Japan) [TeamEurope]
ekara_japan_gk.xml: [David Haywood]
GK-2 - Disney Princess: Princess Debut (Japan) [TeamEurope]
GK-3 - Disney Tinkerbell to Tinkle Star Uranai (Japan) [TeamEurope]

-hng64 : Improved projection matrix calculation, also improving 3D clipping. (#7810) [Happy-yappH]

-cvs, dkong, hec2hrp, igs011, namcos21_dsp, nbmj9195, realbrk, seattle, skylancr, sorcerer, subsino, superqix, trs80m3: initialized
 some variables which were causing incorrect behaviours in drvnoclear debug builds [Ivan Vangelista]

-d64plus: Re-implemented RAM banks into SAM address space. [Nigel Barnes]

-dkong.h: reverted unwanted changes [Ivan Vangelista]

-x1_010: Clamp output samples to within range [AJR]

-esqkt.cpp: backed out change to use required pointers, as the driver has a mix of sets using 16 and 32 bit regions
 [Ivan Vangelista]

-mac: correct IIsi FDC and drive types [R. Belmont]

-pmac6100: fix boot video [R. Belmont]

New clones marked as NOT_WORKING
--------------------------------
Cyber Troopers Virtual-On - Twin (Export) [twistedsymphony]

-egret, cuda: don't include mac.h, they're independent devices now [R. Belmont]

-upd765_dsk, wd177x_dsk: Do not crash on damaged disks [Olivier Galibert]

-swim2: Remove leftover verbosity [Olivier Galibert]

-namcos21*.cpp: Added save state support, and made pixel clocks more clear. (#7718) [cam900]
 * namcos21_de.cpp: Fixed configuration flag (driveyes has 4 2Mbit PCM ROMs). namcos21.cpp: Removed unnecessary driver init, added
    hardware notes.

-New WORKING machine (Dora TV Adventure Globe) (#7821) [David Haywood]

new WORKING machine
-------------------
Dora the Explorer - Dora TV Adventure Globe [Sean Riddle, David Haywood]

-Set some of the previous ekara additions to unsupported as they actually use the alt seeprom hookup that isn't currently
 functional, and lock up in places as a result. [David Haywood]

-firebeat.cpp: Re-dumped and re-converted CDs for Keyboardmania and Keyboardmania 2nd Mix. [Jennifer Taylor]

new NOT WORKING clones
----------------------
Keyboardheaven (Korea) [Jennifer Taylor]

-fddebug.cpp: Remove from build [AJR]

-fileio.cpp: This doesn't technically require emu.h [AJR]

New machines marked as NOT_WORKING
----------------------------------
Mini Money [jordigahan, ClawGrip]

-4dpi, amstrad, apple2, bebox, besta, dkong, m24: initialized some variables which were causing incorrect behaviours in drvnoclear
 debug builds [Ivan Vangelista]

-added MM76 disassembler and preliminary PPS-4/1 MCU core [hap]

New machines marked as NOT_WORKING
----------------------------------
Electronic Master Mind (Invicta) [hap, Sean Riddle]

-machine/t10mmc.cpp: Added CD media type check for special LBA 0 case. (#7822) [987123879113]
 * The special case of setting m_lba to 150 when m_lba is 0 is only applicable to data and mixed mode media CDs.

-New BSD-licensed implementation of Yamaha OPN and OPM FM audio chips (#7808) [Aaron Giles]
 * New BSD-licensed implementation of Yamaha OPN and OPM FM audio chips, along with new device drivers for YM2203, YM2608, YM2610,
    YM2610B, YM2612, YM3438, and YM2151 based upon these.

new WORKING clones
------------------
Raiders5 (Japan, set 2, bootleg?) [Paul Wood]

-rc759: Fix cassette error, add keyboard [Dirk Best]

-i8251: Allow write_cts before device has started [AJR]

New working machines
--------------------
Mark 1 FORTH Computer [AJR]

-tatsumi.cpp: Remove obsolete YM2151 hack [AJR]

-swim2: Remove leftover debugging variables [Olivier Galibert]

-emuview: Fix init_handlers in specific cases, fix mapping ioports in views [Olivier Galibert]

-coolridr.cpp: Use measured clocks for Cool Riders by correct XTAL usage based on documentation in header of coolridr.cpp
 [Brian Troha]

New working clones
------------------
Player's Edge Plus (PP0419) Standard Draw Poker (set 1) [Brian Troha]
Player's Edge Plus (PP0419) Standard Draw Poker (Old Chicago Casino) [Brian Troha]

-Fix ADPCM-B processing logic. Force external mode on for YM2610. Fixes neogeo sound playback. [Aaron Giles]

-Fix MSVC build [Aaron Giles]

-swim: local var "bit" is int instead of bool [hap]

-Corrected some ymsnd regions that had been overlooked. [Robbbert]

-econx25: Added the dual Z80 co-processor board (incomplete). [Nigel Barnes]

-Revert "fileio.cpp: This doesn't technically require emu.h" [AJR]
 * This reverts commit 6d6073054b9155592a6022d66751422ff3b3a372.

-midtunit.cpp: Correct a typo for a ROM in 2 Mortal Kombat sets. [Brian Troha]

-psikyo.cpp: Fix crash in samuraia and clones (#7831) [cam900]

-ksys573.cpp: Use ddr2ml disc as base for ddr2mc2. (#7829) [987123879113]
 * ddr2mc2 expects a different CD when the memory card reader is present.

-firebeat.cpp: Fix IN1 values, and added notes about DIP switches. (#7828) [987123879113]

-firebeat.cpp: Added dongle dumps and expanded documentation. (#7827) [Jennifer Taylor]
 * Added dongle dumps for all missing dongles that I own and could dump.
 * Added KBM 2ndMIX dongle dump [Johan Veenstra (Dexx)]
 * Documented cabinet info register bits meanings for various games. [Jennifer Taylor, Windy Fairy]
 * Documented how dongles are used in various game series.

New WORKING clones (#7825)
--------------------------
Mega Man: The Power Battle (CPS2, USA 950925, SAMPLE Version) [bdlou]

-tc009xlvc.cpp: Include Z80 core (interrupt handler not yet ported). (#7756) [cam900]
 * Fixed opaque background used in gemcrush.
 * Converted banked video RAM handler into internal memory space.

-electra.cpp: documented PCB code for Wings [gregf]

-pacman.cpp: removed outdated comment [gregf]

-pgm.cpp: correct some chips locations according to PCB scans [JacKc]

New clones marked as NOT_WORKING
--------------------------------
A.G. Soccer Ball (R18u, 2.5L sound) [PinMAME]
Bad Cats (LG-4) [PinMAME]
Lucky Draw (pinball, set 2) [PinMAME]
No Fear: Dangerous Sports (0.8X) [PinMAME]
The Flintstones (LA-5) [PinMAME]
Theatre Of Magic (1.2A) [PinMAME]

-s11c.cpp, wpc_95.cpp: synced sets with PinMAME [Ivan Vangelista]

-mame.lst: corrected spelling for Electro-Sport [gregf]

-device/bus/ti99/pecb/evpc.cpp: fixed MT07889 [Ivan Vangelista]

-divebomb.cpp: fixed MT7887 [Ivan Vangelista]

-Update strings.po [Chrystian Rafael Rubio de Melo]
 * Changes for a better Portuguese-Brasil.

-system1.cpp: Redumped and verified the 315-5159A iC8751 MCU for Shooting Master.
 [Joe Magiera, TeamEurope, Brian Troha, The Dumping Union]

-macquadra700.cpp: Converted to use new SWIM1 and improved VIA timing. [R. Belmont, O. Galibert]

-machine/fdc37c665gt.cpp: Reimplemented with floppy and parallel support. [987123879113]

-mahine/upd765.cpp: Implemented sector-based termination conditions for read commands. [987123879113]

-flopimg: don't fault on nibble extraction on degenerated tracks [Olivier Galibert]

-iwm/swim: Fix annoyingly subtle write issue in the iwm and add some paranoia [Olivier Galibert]

-Fix YM synchronization in Seibu sound device. [Aaron Giles]

-machine.lua: correct applefdintf file pointer [hap]

-floppies: Turn the format arrays into function calls.  Create a default "mfm", "fm" and "pc" list of formats.  Their contents, and
 which driver uses what, may need some tuning. [Olivier Galibert]

-balsente, dgn_beta, esripsys, fastfred, galaxian, galaxold, goldstar, mbee, model3, pcfx, pcw, prestige, royalmah, seattle, sun3,
 system16: initialized some variables which were causing incorrect behaviours in drvnoclear debug builds [Ivan Vangelista]

-Revert "Fix YM synchronization in Seibu sound device." [Aaron Giles]
 * This reverts commit c89cbcd0e599d7baca6d294e451fcd4249b4a74e.

-Schedule all interrupt changes via timers to ensure proper ordering. Fixes the seibu sound issue in a more generic fashion.
 [Aaron Giles]

-bw12: Coverity 140173 (buffer overflow) [Robbbert]

-mastmind: shuffle around bit/byte ordering, disasm looks better now [hap]

-new WORKING machines (TV Board Games 6-in-1) (#7824) [David Haywood]

new WORKING machines
--------------------
TV Board Games 6-in-1: Silly 6 Pins, Candy Land, Hungry Hungry Hippos, Match 'em, Mixin' Pics, Checkers [Sean Riddle, David Haywood]
TV Board Games 6-in-1: Simon, Battleship, Mouse Trap, Checkers, Link-a-Line, Roll Over [Sean Riddle, David Haywood]

-defaults: pc format is in, ipf is out [Olivier Galibert]

-Fix dependencies [Olivier Galibert]

-imgtool: Neutralize the link error [Olivier Galibert]

-konamigs.cpp dumped runpuppy boot ROM [Houpela]

-New machines marked as NOT_WORKING (#7819) [ClawGrip]

New machines marked as NOT_WORKING
----------------------------------
Corsario (Cirsa slot machine) [jordigahan, ClawGrip]

-New clones marked as NOT_WORKING (#7832) [ClawGrip]

New clones marked as NOT_WORKING
--------------------------------
Scorpion (Dec 24, 1993) [jordigahan, ClawGrip]

-nzeroteam,nzeroteama: correct extend DIP switches [Barry Rodewald]

-ymfm: Also explicitly sync writes to the mode register to ensure timer control bits are handled in sync. [Aaron Giles]

-neogeo: Coverity 140102 (buffer overflow) [Robbbert]

-avgdvg: Coverity 316107 (wrong variable?) regression check needed. [Robbbert]

-1942p: Coverity 180504 (unused code) [Robbbert]

-vgmplay: Coverity 183775 (buffer overflow and nonsensical code) [Robbbert]

-pt68k4: Coverity 139050 (null reference) [Robbbert]

-pcw16: Coverity 140126 (buffer overflow) rtc month table out by 1. [Robbbert]

-mz2500: Coverity 138615 (wrong calculations) [Robbbert]

-magictg: Coverity 315123 (crash at start due to buffer overrun) [Robbbert]

-ymfm: Improve LFO noise behavior. Add logging (under verbose) when LFO noise sounds are played to help ID cases for further study.
 This will be removed prior to release. [Aaron Giles]

-Fix TMNT audio decoding so that it doesn't invoke undefined C++ behavior. Also don't bother registering decoded sample data for
 saving. [Aaron Giles]

-Add 'wpsize' variable to access the data size from a watchpoint (#7837) [Scott Percival]

-3c505: remove duplicate reset logic [Patrick Mackinlay]

-views: Keep a reference to the handlers so that installs overlapping them don't kill them [Olivier Galibert]

-rc759: Add RTC and floppy, start cleanup [Dirk Best]

-atarist, fmtowns, megadriv, model3, pc6001: initialized some variables which were causing incorrect behaviours in drvnoclear debug
 builds [Ivan Vangelista]

-geneve: Fixed address decoding in IDE card for standard Geneve; changed default for RTC chip. [Michael Zapf]

Clones promoted to working
--------------------------
Big 50 (JPM) (IMPACT) (BF12 L12) [James Wallace]
Big 50 (JPM) (IMPACT) (BF12P F12, Protocol) [James Wallace]
Big 50 (JPM) (IMPACT) (BF12 AH12) [James Wallace]
Big 50 (JPM) (IMPACT) (BF12 L12, Whitbread) [James Wallace]
Big 50 (JPM) (IMPACT) (BF L8) [James Wallace]
Big Bucks (JPM) (IMPACT) (set 1) [James Wallace]
Big Bucks (JPM) (IMPACT) (set 2) [James Wallace]
Big Bucks (JPM) (IMPACT) (set 3) [James Wallace]
Big Bucks (JPM) (IMPACT) (set 4) [James Wallace]
Big Bucks (JPM) (IMPACT) (set 5) [James Wallace]
Big Bucks (JPM) (IMPACT) (set 6) [James Wallace]
Big Bucks (JPM) (IMPACT) (set 7) [James Wallace]
Big Bucks (JPM) (IMPACT) (set 8) [James Wallace]
Big Bucks (JPM) (IMPACT) (set 9) [James Wallace]
Big Bucks (JPM) (IMPACT) (set 10) [James Wallace]
Camelot (JPM) (IMPACT) (CA8 C10) [James Wallace]
Camelot (JPM) (IMPACT) (CA8P C10, Protocol) [James Wallace]
Camelot (JPM) (IMPACT) (CA8 AC10) [James Wallace]
Camelot (JPM) (IMPACT) (CA8 C10, Whitbread) [James Wallace]
Camelot (JPM) (IMPACT) (CA6 C8) [James Wallace]
Casino Crazy (JPM) (IMPACT) (CC07C L12) (set 1) [James Wallace]
Casino Crazy (JPM) (IMPACT) (CC07C L12) (set 2) [James Wallace]
Casino Crazy (JPM) (IMPACT) (CC11C L16) (set 4) [James Wallace]
Casino Crazy (JPM) (IMPACT) (CC16C L23) (set 6) [James Wallace]
Casino Crazy (JPM) (IMPACT) (CC16C L23) (set 7) [James Wallace]
Casino Crazy (JPM) (IMPACT) (CC16C L23) (set 9) [James Wallace]
Casino Crazy (JPM) (IMPACT) (CC12C L17) (set 12) [James Wallace]
Casino Crazy (JPM) (IMPACT) (CC02C L08) (set 14) [James Wallace]
Go For Gold (JPM) (IMPACT) (set 1) [James Wallace]
Go For Gold (JPM) (IMPACT) (set 2, Protocol) [James Wallace]
Go For Gold (JPM) (IMPACT) (set 3) [James Wallace]
Go For Gold (JPM) (IMPACT) (set 4, Whitbread) [James Wallace]

-mastmind: reordered rom pages [hap]

-jpmimpct.cpp - Fixed flags (nw) [James Wallace]

-formats: Create mame_formats_full_list which gives access to all the supported formats, make floptool use it.  Castool should use
 it too probably, but I don't want to touch it. [Olivier Galibert]

-ui audit: tell user to get the correct files [hap]

New working software items
--------------------------
sorcerer_cass.xml: Cosmic Fighter [exidyboy]

-formats: Fix missed RC759 format [Dirk Best]

-sorcerer_cass.xml: removed unwanted comments [Robbbert]

-pps41: add skeleton MM76-derived devices [hap]

-mac128: Only adjust the rpm on drives which use the PWM [Olivier Galibert]

-apple2gs, pc9801, slapshot, viper, x68k: initialized some variables which were causing incorrect behaviours in drvnoclear debug
 builds [Ivan Vangelista]

-apple_gcr: Refuse 800K images on single-sided drives [Olivier Galibert]

-mz2000: Add pure mfm containers [Olivier Galibert]

-crashrd: Coverity 315390 (unused code). Also added notes. [Robbbert]

-itt3030: Add missing terminator [Olivier Galibert]

-superdrive: Theoretically support 720K MFM [Olivier Galibert]

-jaleco_ms32_sysctrl.cpp: added missing save item [Ivan Vangelista]

-audio/seibu.cpp: Implement in-service lockout for IRQs; prevent Cabal from locking up the sound CPU with an unacknowledged
 interrupt after reset [AJR]

New working machines
--------------------
Sub Wars (LED version) [hap, Sean Riddle, Rik]

-srmp2.cpp: Add NO_DUMP entries for suspected undumped MCUs [AJR]

-floppy: Beginning of the support for preformatted floppy images. [Olivier Galibert]
 * What's missing:
   - parameters (like the disk name when it exists)
   - possibly a cleanup of ram_open and friends (but not sure of the appropriate direction in which to go)

-Try to fix osx compile [Olivier Galibert]

-fs_prodos: Explain the init better floppy: Don't fail creation because the extension is unknown [Olivier Galibert]

-Copypasta my love, finish fixing for osx [Olivier Galibert]

-C++ wart.  Why can't the C++ standard say that the default destructor of a class that has inheritance or virtual methods is
 automatically virtual?  But thou shalt is a little annoying [Olivier Galibert]

-Fix messed-up merge [Olivier Galibert]

-mac: disable NEW_SWIM set by mistake [Olivier Galibert]

-floppy: make format determination earlier [Olivier Galibert]

-fix #7806 (#7841) [feos]

-corefile.cpp: Make core_filename_extract_base behave more robustly in degenerate cases [AJR]

-rocnrope.cpp: fixed state saving, minor cleanups [Ivan Vangelista]

-triviaquiz.cpp: updated list of copyright holders [Ivan Vangelista]

-pps41: added most of the mm76 opcodes except for i/o [hap]

-swim1: fix iwm clocking [Olivier Galibert]

-2mg: tolerate a standard mistake [Olivier Galibert]

-fidel_cc7: bcc rom is older [hap]

-emumem_mview.cpp: Use count_leading_zeros to simplify awidth calculation [AJR]

-Fix 'arcade' build [Brian Troha]

New clones marked as NOT_WORKING
--------------------------------
Virtua Striker 2 '99.1 (Step 1.5, Export, USA, Revision B) [Brian Troha, The Dumping Union]
Virtua Striker 2 '99.1 (Step 1.5, Japan, Revision B) [Brian Troha, The Dumping Union]

-model3.cpp: Fix longstanding cut-n-paste exposed by set reordering. [Brian Troha]

-swim2: Correct writing floppy: Correct index duration (2ms, not 20us) and polarity in superdrive [Olivier Galibert]

new NOT_WORKING machine
-----------------------
Mushiking The King Of Beetles 2006 First (Japan) [Darksoft, rtw]

new WORKING machines (TV Board Games) (#7838)
---------------------------------------------
TV Board Games 3-in-1: Boggle, Connect 4, Roll Over [Sean Riddle, David Haywood]
TV Board Games 3-in-1: Silly 6 Pins, Hungry Hungry Hippos, Match 'em [Sean Riddle, David Haywood]
TV Board Games 3-in-1: Simon, Battleship, Checkers [Sean Riddle, David Haywood]

-pps41: add some i/o opcodes [hap]

-ap_dsk35: updates [R. Belmont]
 * Set form factor for 2mg and dc42 disks so the SuperDrive can handle them
 * Accept ProDOS-format dc42 3.5" disks

Machines promoted to working
----------------------------
Electronic Master Mind (Invicta) [hap, Sean Riddle]

-arcade.lua: Remove unnecessary BUS device. [Brian Troha]

-model3.cpp: Correct spelling mistake. [Brian Troha]

-plugins: fix missed lua api changes [cracyc]

-electra.cpp: some more info updates [gregf]

-taitosj.cpp: fixed MT07849 [Ivan Vangelista]

-ssp1601.cpp: dumped internal ROM [Javier de Silóniz Sandino, krom / Peter Lemon]

-jpmimpctsw.cpp: Demoted disc reel games (Big 50) due to opto bugs [James Wallace]

-mm58174: Small fixes [AJR]
 * Initialize interrupt control register (prevents fatal error in wicat on some builds)
 * Set interrupt period to attotime::never instead of zero when lower 3 bits of control register are 0
 * Eliminate device_reset method (IC does not have a reset input)

-devices/bus/plus4: fixed MT07886 [Ivan Vangelista]

-liberate.cpp: added  prosoccr PCB infos [f205v]

-williams.cpp: fixed MT07389 [Ivan Vangelista]

-plugins: another leftover [cracyc]

-HP9845: added synchronous I/O for RS232 port and HP98046 module (#7695) [fulivi]
 * rs232: added device for synchronous I/O
 * hp9845: implemented external clocking in hp98046 serial module
   - Co-authored-by: ajrhacker <ajrhacker@users.noreply.github.com>

New working machines
--------------------
Memoquiz [hap, Sean Riddle]

New machines marked as NOT_WORKING
----------------------------------
Akai MPC60 MIDI Production Center [DBWBP]

-devices/bus/megadrive/svp.cpp: moved internal ROM here instead that in the ssp1601 CPU core [Ivan Vangelista]

-pps41: added mm78 disasm and mm77/mm78 skeleton device [hap]

-pps41: added some mm78 opcodes (untested) [hap]

-naomi.cpp: House of the Dead 2 Korea BIOS dumped [xuserv]

-midyunit.cpp: Dumped the correct REV1 sound ROMs for Narc (rev 1.80) [Brian Troha, The Dumping Union]

-netlist: Relicensing of the GPL code to BSD-3 with the blessing of the copyright owners.  Much thanks for that Couriersud, the main
 creator and contributor, but also to Jonathan Gevaryahu and Sergey Svishchev. [Olivier Galibert]
 * There are small remnants in machine/NL_*, specifially breakout, pong doubles and rebound that are also copyrighted by the DICE
    team, whoever that means.  They're not critical since they only concern these drivers and not an important core subsystem.

-jpmimpct.cpp: fixed reel display in j6big50, added sound ROM used by other emulators to j6untch (#7847) [David Haywood]
 * fixed reel display in j6big50, added sound ROM used by other emulators to j6untch
 * improve illusion of this being 2 sides of the same wheel
 * tweak reel offset

New working machines
--------------------
Scrabble Sensor - Electronic Word Game [hap, Sean Riddle]

-pps41: add remaining mm78 opcodes [hap]

-pps41: add serial i/o [hap]

-New machines marked as NOT_WORKING (#7845) [ClawGrip]

New machines marked as NOT_WORKING
----------------------------------
Tierras Salvajes (100Hz display) [Arcade Planet, Recreativas.org]

New clones marked as NOT_WORKING
--------------------------------
Marbella Vice (100Hz display) [Arcade Planet, Recreativas.org]

-alg.cpp: preliminary address lines descrambling for aplatoon [Ivan Vangelista]

-sgi_mips: new software list additions (#7792) [Davide Cavalca]

-views: Ensure alternatives are always created [Olivier Galibert]

-midzeus.cpp - turn off hardcoded 'in video driver' debugging keys by default, it's a common source of confusion. [DavidHaywood]

-Fix zexall target compilation [Miodrag Milanovic]

new NOT WORKING machines (Plug & Play) (#7848)
----------------------------------------------
Pac-Man (mini arcade) [Sean Riddle]
Ms. Pac-Man (mini arcade) [Sean Riddle]

-feversoc.cpp: Add notes on unpopulated RS232/Ethernet ICs [AJR]

-firebeat.cpp: Added support for beatmania III FDD and spectrum analyzer. (#7835) [987123879113]
 * Added support for FDD and spectrum analyzer to beatmania III.
 * Promoted all Firebeat machines except pop'n music to working with imperfect sound.

-sound/rf5c400.cpp: Added channels for effect outputs. [987123879113]

Machines promoted to working
----------------------------
ParaParaParadise [987123879113]
ParaParaDancing [987123879113]
ParaParaParadise v1.1 [987123879113]
Keyboardmania [987123879113]
Keyboardmania 2nd Mix [987123879113]
Keyboardmania 3rd Mix [987123879113]
Beatmania III [987123879113]
Beatmania III Append 7th Mix [987123879113]
Beatmania III The Final [987123879113]

Clones promoted to working
--------------------------
ParaParaParadise 1st Mix Plus [987123879113]
Keyboardheaven (Korea) [987123879113]

-swim3: Just enough emulation that it is not the cause of power mac not booting anymore [Olivier Galibert]

-A few incremental UI code improvements: [Vas Crabb]
 * Simplified message when toggling UI controls.
 * Show actual configured UI toggle key, not misleading hard-coded text.
 * Push window activated/deactivated events to UI manager.
 * Simplified SDL window event handling code - events are pretty precise.

-Miscellaneous code cleanup. [Vas Crabb]

New machines marked as NOT_WORKING
----------------------------------
Tri-1 (Fonas) [hap, Sean Riddle]

-nes: if file has invalid header, say so [Robbbert]

-f2pbball: use inline svg for diamond shape [hap]

-netlist: missed some files for license change [hap]

-suna8.cpp: removed auto_allorc_array, started work on save state supports, other minor cleanups [Ivan Vangelista]

new NOT_WORKING clone
---------------------
Mazan: Flash of the Blade (Japan, MAZ1 Ver.A) [Darksoft, MetalliC, rtw]

-naomi.cpp latest NAOMI revision docs [Darksoft, MetalliC, rtw]

Machines promoted to working
----------------------------
Tri-1 (Fonas) [hap, Sean Riddle]

-typo fix [Scott Stone]

-pmac6100: Move it to a new driver [Olivier Galibert]

-macpdm.cpp: Fix clang build [AJR]

-namcos12.cpp: Change Techno Drive's game designation from TD2 to the correct designation of TH1 [Brian Troha]

new WORKING machines (#7850)
----------------------------
Teléfono interactivo de TV (Spain) [ClawGrip, Sean Riddle, David Haywood, ArcadeHacker]

-zaxxon.cpp: Switched ixion sprite/tilemap priority. [David Haywood]

-eolith.cpp, lastfght.cpp: Demoted raccoon and lastfght to not working due to timing issues. [David Haywood]

-m62.cpp: Removed outdated comment. [David Haywood]

-joystand.cpp: Converted cartridge access function into address_map_bank_device. (#7856) [cam900]
 * Added MACHINE_NODEVICE_PRINTER flag because printer emulation is missing.
 * Added notes and cleaned up code.

-twinkle.cpp: Added missing data except for encrypted dongles (1st, club, substream). (#7833) [Jennifer Taylor]
 * Added all missing hard disk and CD images.
 * Replaced CD images marked as bad dumps.
 * Added dongle dumps for 2nd style through 8th style, replacing hand-crafted data for 4th and 5th.

New working clones
------------------
beatmania IIDX 3rd style (GC992 JAB) [Jennifer Taylor]
beatmania IIDX 7th style (GCB44 JAB) [Jennifer Taylor]
beatmania IIDX Substream (983-AA JAA) [Jennifer Taylor]

Machines promoted to working
----------------------------
beatmania IIDX 2nd style (GC985 JAA) [Jennifer Taylor]
beatmania IIDX 3rd style (GC992 JAC) [Jennifer Taylor]
beatmania IIDX 5th style (GCA17 JAA) [Jennifer Taylor]
beatmania IIDX Substream (983 JAA) [Jennifer Taylor]

Clones promoted to working
--------------------------
beatmania IIDX 3rd style (GC992 JAA) [Jennifer Taylor]
beatmania IIDX 7th style (GCB44 JAA) [Jennifer Taylor]

-video/k057714.cpp: Implemented raster timing registers. (#7846) [987123879113]
 * Gives precise timings for Firebeat screens.

New working machines
--------------------
Super-Sonic Electronic Master Mind [hap, Sean Riddle]
Reader's Digest Q&A - Computer Question & Answer Game [hap, Sean Riddle]
World Championship Football [hap, Sean Riddle, Kevin Horton, Olivier Galibert]

-f2pbball.lay, ftri1.lay: Attributes are more readable than inline styles, and defaults can be omitted. [Vas Crabb]

new NOT WORKING machines
------------------------
Turbo Twist Spelling (US) [Sean Riddle, David Haywood]
Turbo Twist Vocabulator (US) [Sean Riddle, David Haywood]

-apple2gs: enable some raster-splitting in the 8-bit video modes. [R. Belmont]

-apple2gs: control panel (Ctrl-Cmd-Esc) and flush (Ctrl-Cmd-Delete) support [ksherlock]
 * generate adb interrupt when the data register is full

-apple2gs: fix MouseText regression [R. Belmont]

-apple2gs: don't reselect drives on writes to DISKREG (github issue #7852) [R. Belmont]

-nes: Coverity 138925,161402: bad shift [Robbbert]

-twinkle.cpp: Removed periodic source for IRQ2 (#7817) [Ziemas]
 * Only periodically assert IRQ1.
 * Added comment about SPU IRQ2 handler.

-gaelco3d.cpp: Do a little less error logging [AJR]

-pps41: remove obsolete function [hap]

-mpc60: Misc. additions and notes [AJR]

-apple2gs: don't render 8-bit modes past their bounds [R. Belmont]

-spectrum_cass.xml: Updated metadata for six entries. (#7861) [ArcadeShadow]

-gime: Fix ROM mapping again; initialize one more variable [AJR]

-gaelco3d.cpp: fixed MT07831 [Ivan Vangelista]

-machine/3dom2.cpp: got rid of auto_alloc_array [Ivan Vangelista]

New machines marked as NOT_WORKING
----------------------------------
Super Mario All-Stars (Nintendo Super System)  [Mike Ortizz]

-i186: Timer updates [AJR]
 * Implement retrigger mode
 * Clean up code a little, removing redundant "active_count" flag
 * Modernize save state registration

New working clones
------------------
Chess Champion 2150 [hap, Berger]

-macpdm: Add timer, interrupts, fix via speed, fix sonora bit order... [Olivier Galibert]

-rc759: Major improvements to I82730, hook up SN76489A, preliminary palette [Dirk Best]

-rc759: Add timer input to keep self-test working [AJR]

-If volume is low, don't erase output, just leave it alone. Fixes missing sound in raimais. [Aaron Giles]

-apple2gs: updates [R. Belmont]
 * Fix 3.5" floppy motor sound never turning off
 * Fix $C00X and $C01X readbacks to match hardware (GitHub issue #7867)
 * Some minor cleanup and modernization

-menghong.cpp, trivrus.cpp: got rid of auto_alloc_array and tagmap lookups [Ivan Vangelista]

-gaelco3d.cpp: obliged MT07898 [Ivan Vangelista]

-monkey_king_3b: fixed MT07904 [Ivan Vangelista]

-pmac6100: Connect SCSI [Olivier Galibert]

New working machines
--------------------
Dunk 'n Sunk [hap, Sean Riddle]

-jpmimpctsw.cpp: Promoted Untouchables again now we have sound [James Wallace]

Clones promoted to working
--------------------------
Give Us A Break (JPM) (IMPACT) (GB 5 C 8) (set 1) [James Wallace]
Give Us A Break (JPM) (IMPACT) (GB 5P C 8) (set 2, Protocol) [James Wallace]
Give Us A Break (JPM) (IMPACT) (GB 5 C 8) (set 3, Whitbread) [James Wallace]
Give Us A Break (JPM) (IMPACT) (GB 6 C 9) (set 4) [James Wallace]
Give Us A Break (JPM) (IMPACT) (GB 6P C 9) (set 5, Protocol) [James Wallace]
Give Us A Break (JPM) (IMPACT) (GB 6 C 9) (set 6) [James Wallace]
Give Us A Break (JPM) (IMPACT) (GB 6 C 9) (set 7, Whitbread) [James Wallace]

-speakres (& clones): Improve notes; adjust DAC output [AJR]

-mess.flt: added macpdm.cpp [Robbbert]

-Fix missing ADPCM in Hatris. [Aaron Giles]

-ym2608: Remove FM output boost. Matches previous core's volume better. [Aaron Giles]

-ym2610: remove FM output boost to match previous volume better. [Aaron Giles]

new NOT WORKING machines (#7860)
--------------------------------
Turbo Twist Fact Blaster (US) [Sean Riddle, David Haywood]

-tecmo16.cpp - improve IRQ ack mechanism [David Haywood]
 * riot - don't trigger multiple interrupts per frame
 * 1943.cpp - don't draw past end of spriteram
 * flip 'free play' switch in quasar based on observed behavior (maybe freeplay isn't the best name for this)

-momoko: fixed glitches on high score table after memory system updates (was reading past end of region) [David Haywood]

-plugins/cheat: fix selection [cracyc]

-hd647180x: Eliminate data space and instead map internal RAM into program space using memory view [AJR]

New working clones
------------------
Cuore 1 (Italian, set 6) [f205v]
Cuore 1 (Italian, set 7) [f205v]
Magic 10 Nevada (bootleg of Pool 10) [f205v]

-a7800: reassign reset and select buttons sway from joystick2; show message if loose image is rejected. [Robbbert]

-namconb1: Making the clip registers signed, fixes vshoot MT#6789.  The underlying issue may be weirder though... [Olivier Galibert]

-elan_eu3a05vid: Make MSVC happy. [Aaron Giles]

-apple2gs: dont segfault if floppy not present, eg -fdc:3 "" (#7871) [ksherlock]

-wc90: Fix ADPCM sound [Aaron Giles]

-vgmplay.xml:  Fixed some shortnames to match MAME. [Scott Stone]

-mac128: Updates [R. Belmont, O. Galibert, Patrick Mackinlay]
 * Legacy IWM/floppy replaced by modern IWM and SWIM
 * 1.44MB floppy supported on SE FDHD and Classic
 * PWM 400K floppy drive supported on Mac 128 and 512
 * Modernization pass on the driver
 * Mac Plus now uses the modern SCSI subsystem

Machines promoted to working
----------------------------
Macintosh 128k [R. Belmont, O. Galibert]
Macintosh 512k [R. Belmont, O. Galibert]
Macintosh 512ke [R. Belmont, O. Galibert]
Macintosh Plus [R. Belmont, O. Galibert, Patrick Mackinlay]
Macintosh SE FDHD [R. Belmont, O. Galibert]
Macintosh Classic [R. Belmont, O. Galibert]
Unitron Mac 512 (bootleg) [R. Belmont, O. Galibert]
Unitron 1024 (bootleg) [R. Belmont, O. Galibert]

-Fix memory regions on YM2608 games. [Aaron Giles]

-firebeat.cpp: Include proper CD subchannel data for Keyboardmania 1st and 2nd Mix. (#7873) [987123879113]

-bgfx: crt-geom and crt-geom-deluxe enhancements (#7872) [cgwg]
 * Made spot size parameters adjustable also increased samples from 2 to 3 scanlines for crt-geom-deluxe.
 * Made horizontal interpolation adjustable.
 * bgfx crt-geom-deluxe: Made phosphor decay smoothly to zero at specified cutoff time.
 * bgfx crt-geom-deluxe: Added lowpass filter.

New working clones
------------------
Task Force Harrier (Lettering bootleg) [hammy, EMG]
US AAF Mustang (Lettering bootleg) [hammy, Doctor Pinball]

-bgfx: Fixed crt-geom{,-deluxe} shader compilation and recompiled shaders. [Vas Crabb]

-pps41: add preliminary mm78la/mm77la [hap]

-mcr.cpp: Corrected the ROM labels for the TRON sets. [Brian Troha] Documented the Disc of TRON program ROM dates. Corrected some
 ROM labels for the Disc of TRON sets. [Brian Troha]

New NOT_WORKING software list additions (#7858)
-----------------------------------------------
sega_beena_cart: 1-nichi 10-pun de E ga Jouzu ni Kakeru Beena, Anpanman no Waku Waku Game Oekaki, Beena Town e Youkoso, Disney
  Tanoshii o-Benkyou Series: Mic de Kantan ABC, Disney Tanoshii Oekaki: o-Mise-ya-san o Tsukutchaou!, Cooking Beena: o-Ryouri
  Dekichatta!, Hello Kitty no Hiragana Katakana o-Namae Kaitemiyou!, Kouchuu Ouja Mushiking: Mori no Tami no Densetsu: Minna de
  Tanken! Kouchuu no Mori, Partner In TV! o-Uchi ni Wan-chan ga Yattekita, Point Gakushuu Tokei [TeamEurope]

New working clones
------------------
Genius 6 (V133F) [farzeno]

New working clones
------------------
Oedo Fight (Japan, Bloodless version) [ekorz]

-a7800: BIN files are headerless, and we don't support them. [Robbbert]

-mac128: revert extremely premature promotions. [arbee]

-lynx: provide reason if cart is rejected [Robbbert]

-mac128: Principled via sync [Olivier Galibert]

-Restore validation for command-line and .ini options (disabled since 0.188) and make some errors non-fatal [AJR]

-ti99: Fixed some rarely used TDF floppy format variants. [Michael Zapf]

-Turned off log output per step. [Michael Zapf]

-ymfm: Backport active channel detection to help improve performance. Further performance improvements will come in the next cycle,
 but require more extensive changes. [Aaron Giles]

-mac128: Fix the keyboard [O. Galibert, AJR] via6522: Don't retrigger the shift register timer on a second sr access
 [Olivier Galibert]
 * This is a slightly hacky change.  The 68k starts the shift register in internal clock mode just long enough that cb2 is set to
    zero, then stops it and restarts it in external clocking mode.
 * The retrigger-corrected via code wants to change cb2 40 cycles in the future (8 edges of the 10 clocks/cycle E clock).  The
    instruction that stops the shift register starts ~38 cycles in the future but does the actual write 50 cycles in.  But the
    instructions not being interruptible, the write happens before the timer timeout is called.
 * There are two problems there: the lack of interruptibility for the 68k, which is a hard problem that is worked on but is still
    going to take some time, and the fact that the via is supposed to change cb2 (data) at +35 (well, +34, but lets not get in the
    intricacies of the E clock) and cb1 (clock) at +40.  But changing the serial output behaviour of the via is a very ugly "here be
    dragons" case.  Which will have ot be done, but still.
 * The quick hack is the make the via change data and clock at +35.  Fast enough that the 68000 didn't start the instruction yet,
    not different enough that other systems would break.  100% proper fix will be later.

-ibm5170 - New working software list additions [ArcadeShadow]
 * New working software list additions
 * Museum Madness [The Good Old Days] Top Gun: Danger Zone [The Good Old Days]

-mac128: Correct the macse iwm clock, correct the cycle adjustment [Olivier Galibert]

-keyboardmania: Interface with the mu100 [Olivier Galibert]

-Set proper tri-state value for keyboard PIA port B [tim lindner]

-pse.cpp: updated game list [gregf]

-Addressed Github issue #7843 (mute on unthrottle) (#7875) [MooglyGuy]

-ui: Added option to mute when unthrottled to advanced options menu. [Vas Crabb]
 * Also refactored slightly to avoid some initialisations before main.

New clones marked as NOT_WORKING
--------------------------------
Thunder Dragon (bootleg, set 2) [hammy, EMG]

New working machines
--------------------
Brain Baffler [hap, Sean Riddle]
Horoscope Computer [hap, Sean Riddle]

-alg.cpp: Add notes about Picmatic games (#7882) [ClawGrip]

-xt446: Use its real name [Olivier Galibert]

-via6522: Remove the retrigger stuff, vectrex shows the via is *that* dumb via6522: Fix the timing again mac128: Adjust the via
 timing too, since the via wants to run at start of access [Olivier Galibert]

New working machines
--------------------
Football 2 (Mattel) [hap, Sean Riddle]

-hh_tms1k: cqback difficulty switch was wrong way around [hap]

-fmtowns_cd.xml: 13 new dumps, 12 replacements, 5 missing floppies added (#7874) [r09]
 * Added the missing floppy image to OASYS/Win 2.0 (still not working due to lack of DD floppy support). [cyo.the.vile]
 * Replaced the psydet5 and psydetf1 floppy images with cleaner unmodified copies. [cherokee]

New working software list additions (fmtowns_cd.xml)
----------------------------------------------------
Alice no Yakata 3 (1995-05-16) [redump.org]
Battle [redump.org]
Ehon Writer V1.1 L10 [redump.org]
Half Moon ni Kawaru made - Ramiya Ryou no Nijiiro Tamatebako [redump.org, wiggy2k]
Never Land [redump.org]
Oto to E no Deru Eigo Jisho No. 2 - English in Dream [redump.org]
Populous II - Trials of the Olympian Gods - Expert [redump.org]
Running Girls - Hashiri Onna II + Rance 4.1 / 4.2 Hint Disk [redump.org]
Soreike! Anpanman - Tanoshii Eigo Asobi [redump.org]
Toshiyuki Yoshino - Lullaby of BirdLand [redump.org]
True Heart (alt) [redump.org]
Viper GTS [redump.org]

New not working software list additions (fmtowns_cd.xml)
--------------------------------------------------------
Scavenger 4 (HME-217B) [redump.org]

Replaced software list items (fmtowns_cd.xml)
---------------------------------------------
Hanafuda de Pon! [redump.org]
Indiana Jones and the Fate of Atlantis [redump.org]
King's Quest V - Absence Makes the Heart Go Yonder [redump.org]
Kyan Kyan Collection - Daifugouhen [redump.org]
Kyuukyoku Tiger [redump.org]
Legends of Valour - Gouyuu no Densetsu [redump.org]
Life &amp; Death II - The Brain [redump.org]
Menzoberranzan - Yami no Monshou [redump.org]
Oshiete Noobow [redump.org]
Princess Danger [redump.org]
Scavenger 4 (HME-217A) [redump.org]
Wrestle Angels Special [redump.org]

Software list items promoted to working (fmtowns_cd.xml)
--------------------------------------------------------
Nobunaga no Yabou - Sengoku Gun'yuuden [cherokee]
Windows 3.1 L11 [cyo.the.vile]

-machine/i2cmem.cpp: Added Xicor X24C01 support. [Ryan Holtz]
 * bus/megadrive: Added EEPROM cartridge variant with Xicor X24C01. [Ryan Holtz]

-bus/megadrive: Updated EEPROM save cartridge compatibility list. [Vas Crabb]

-hiscore.dat: Updates [Leezer]

-bgfx: Disable lowpass filter by default by setting it to its maximum value, since it does not account for actual monitor type. We
 can revisit this decision in the future if better monitor information is provided from the driver. [Aaron Giles]

-jcart: Fixed I2C read address for Codemasters games. [Ryan Holtz] (#7885) [MooglyGuy]

-megadriv.xml: fixed MT07023, MT07193, MT7767 [Ivan Vangelista]

-hh_pps41: mwcfootb is mm78 [hap]

-vgmplay.xml:  Assorted metadata fixes [Scott Stone]

-mac128: re-promote drivers now that basic things all work [O. Galibert, AJR]

-mac.cpp: New FDCs and drives for all of the II and LC series machines [R. Belmont, O. Galibert]

-asc.cpp: add IMPERFECT_SOUND flag to Apple Sound Chip for now. [R. Belmont]

-apple2cp: correct a misunderstanding of the built-in accelerator's registers [R. Belmont]

-mac128.cpp: cleanup obsolete #include. [R. Belmont]

-macpwrbk030: new SWIM1 and SuperDrives for everyone [R. Belmont, O. Galibert]

-machine/playch10.cpp: fixed MT07916 [Ivan Vangelista]

-royalmah.cpp: fixed MT05580 [Ivan Vangelista]

-Fixed arcade build. [Robbbert]

-awacs: Rewrite [Olivier Galibert]

-awacs: remove leftovers [Olivier Galibert]

-macpdm: Add vblank irq [Olivier Galibert]

-macpdm: Fix vblank ack [Olivier Galibert]

-bus/megadrive: Improved Sonic & Knuckles "lock on" slot handling. [Ryan Holtz]
 * Fixed saving in Sonic 3 & Knuckles.
 * Made all MD cartridge types able to be locked on.

-pockchalw.xml: added several new dumps [skaman]

-trs80: improved cmd quickloader [Robbbert]

-mm78la: small fix with carry flag [hap]

-swim3: Fix rddata, a little more contents sonora: Allow reading the control register macpdm: Add floppy softlists
 [Olivier Galibert]

-apple2gs: configure scc channel speeds (#7887) [ksherlock]

Machines promoted to working
----------------------------
Macintosh II [R. Belmont, O. Galibert]
Macintosh II (w/o 68851 MMU) [R. Belmont, O. Galibert]
Macintosh II (FDHD) [R. Belmont, O. Galibert]
Macintosh IIx [R. Belmont, O. Galibert]
Macintosh SE/30 [R. Belmont, O. Galibert]
Macintosh IIcx [R. Belmont, O. Galibert]
Macintosh IIci [R. Belmont, O. Galibert]
Macintosh IIsi [R. Belmont, O. Galibert]
Macintosh IIvx [R. Belmont, O. Galibert]
Macintosh IIvi [R. Belmont, O. Galibert]
Macintosh Classic 2 [R. Belmont, O. Galibert]
Macintosh LC III [R. Belmont, O. Galibert]

-model2.cpp: Verified ROM labels for Virtua Cop 2 & documented Sega ID numbers for Virtua Cop. [Brian Troha]

-Apple software list update for March 2021 (#7889) [Firehawke]

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Life Story Frog (cleanly cracked) [4am, Firehawke]
MECC-A103 Smoking: It's Up To You (cleanly cracked) [4am, Firehawke]
MECC-A104 Payroll System: A Business Simulation (cleanly cracked) [4am, Firehawke]
MECC-A106 Word Herd: Sound-Alikes (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A107 Ducks (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A109 Circus Math (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A110 Exploring Sorting Routines (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A111 Pets, Ltd. (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A130 MECC Keyboarding Primer (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A131 MECC Keyboarding Master: Games and Drills (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A132 MECC Writer (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A132 MECC Writer (Version 1.2) (cleanly cracked) [4am, Firehawke]
MECC-A133 MECC Writer (Version 1.2) (cleanly cracked) [4am, Firehawke]
MECC-A134 MECC Speller (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A135 MECC Editor (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A136 MECC Graphing Primer (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A112 Word Wizards (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A112 Word Wizards (Version 1.2) (cleanly cracked) [4am, Firehawke]
MECC-A114 Writing an Opinion Paper (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A112 Word Wizards (Version 1.3) (cleanly cracked) [4am, Firehawke]
MECC-A115 Right of Way (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A116 Puzzles and Posters (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A116 Puzzles and Posters (Version 1.3) (cleanly cracked) [4am, Firehawke]
MECC-A116 Puzzles and Posters (Version 1.6) (cleanly cracked) [4am, Firehawke]
MECC-A119 Master Spell (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A137 MECC Graph (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A119 Master Spell (Version 1.3) (cleanly cracked) [4am, Firehawke]
MECC-A120 Word Herd: Look-Alikes (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A121 Jeux Mathematiques Classiques (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A123 Prime Numbers (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A124 Estimation (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A125 Addition Logician (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A126 Study Guide (Version 1.5) (cleanly cracked) [4am, Firehawke]
MECC-A127 Salt and You (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A128 Discovery Lab (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A129 Data Handler (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A343 Science Giants (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A204 Conquering Fractions (Addition, Subtraction) (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A204 Conquering Fractions (Addition, Subtraction) (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A205 Conquering Fractions (Multiplication, Division) (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A205 Conquering Fractions (Multiplication, Division) (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A206 Decimal Concepts (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A207 Conquering Decimals (Addition, Subtraction) (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A208 Conquering Decimals (Multiplication, Division) (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A208 Conquering Decimals (Multiplication, Division) (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A209 Conquering Ratios and Proportions (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A210 Conquering Percents (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A351 Get Well, Woolly! (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A210 Conquering Percents (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A211 Mystery Objects (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A212 Mystery Matter (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A213 Miner's Cave (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A214 Wood Car Rally (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A214 Wood Car Rally (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A215 Lunar Greenhouse (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A216 Backyard Birds (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A217 Weeds to Trees (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A218 Invisible Bugs (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A251 Chemistry: The Periodic Table (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A219 Five-Star Forecast (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A220 Fossil Hunter (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A221 Murphy's Minerals (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A222 Sun and Seasons (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A224 Instant Survey (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A225 Time Navigator Leaps Back (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A227 Patterns (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A228 MECC Outliner (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A227 Patterns (Version 1.2) (cleanly cracked) [4am, Firehawke]
MECC-A229 Exploring Gas Laws (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A401 Energy House (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A230 Spelling Workout (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A230 Spelling Workout (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A230B Spelling List Editor (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A230B Spelling List Editor (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A230B Spelling List Editor (Version 1.2) (cleanly cracked) [4am, Firehawke]
MECC-A230B Spelling List Editor (Version 1.4) (cleanly cracked) [4am, Firehawke]
MECC-A230B Spelling List Editor (Version 1.3) (cleanly cracked) [4am, Firehawke]
MECC-A231 Spellevator (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A231 Spellevator (Version 1.2) (cleanly cracked) [4am, Firehawke]
MECC-A231 Spellevator (Version 1.3) (cleanly cracked) [4am, Firehawke]
MECC-A402 Elementary Genetics (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A232 Spelling Press (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A240 Computer Inspector (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A241 LabelMaker (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A242 Teach Option Organizer (Version 1.2) (cleanly cracked) [4am, Firehawke]
MECC-A244 MECC Dataquest: The Middle East and North Africa (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A245 Instant Survey (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A246 Measure Works (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A247 Time Navigator (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A248 CommuniKeys (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A250 MECC Dataquest: North American Mammals (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A403 Logic Gates (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A250 MECC Dataquest: North American Mammals (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A254 MECC Dataquest: Asia and Oceania (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A255 Picture Chompers (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A256 Bluegrass Bluff (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A257 Problem Solving with Nim (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A258 Estimation: Quick Solve I (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A259 Estimation: Quick Solve II (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A260 Conquering Math Worksheet Generator (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A262 Probability Lab (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A263 Exploring Sequences and Series (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A405 Sports Stats (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A271 Grammar Toy Shop (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A272 Grammar Monsters (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A273 Grammar Gazette (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A278 The Living Cell (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A279 Lewis and Clark Stayed Home (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A280 Chemistry: Balancing Equations (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A281 Paper Plane Pilot (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A282 Cleanwater Detectives (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A283 Woolly Bounce (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A284 Cavity Busters (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A406 Create-A-Base (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A290 Space Station Freedom (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A291 Vacation Nation Travel (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A292 Littletown Zoo (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A295 Estimation Strategies (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A296 Estimation Activities (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A302 Fish School (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A303 Moving Museum (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A304 Eerieville Library (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A306 Grammar Gobble (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A307 Grammar Madness (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A407 Book Worm (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A309 Woolly's Garden (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A310 Wonderland Puzzles (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A311 Picture A Story (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A317 Take A Chance! (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A330 Nutrition Nabber (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A333 Pizza to Go (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A159 Sound Tracks (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A160 The Market Place (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A161 Jenny's Journeys (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A162 Path Tactics (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A163 MECC Dataquest: The Fifty States (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A164 Fun from A to Z (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A334 Electrifying Adventures (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A165 Counting Critters (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A166 Arithmetic Critters (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A167 Quickflash (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A168 Clock Works (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A169 Speedway Math (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A170 Number Munchers (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A170 Number Munchers (Version 1.3) (cleanly cracked) [4am, Firehawke]
MECC-A171 Show Time (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A171 Show Time (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A172 MECC Dataquest Composer (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A336 Amazing Arithmetricks (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A175 Phonics Prime Time: Initial Consonants (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A176 Phonics Prime Time: Final Consonants (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A177 Phonics Prime Time: Vowels I (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A178 Phonics Prime Time: Vowels II (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A179 Phonics Prime Time: Blends and Digraphs (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A180 Words at Work: Contraction Action (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A181 Words at Work: Prefix Power (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A182 Words at Work: Suffix Sense (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A183 Words at Work: Compound It (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A185 Those Amazing Reading Machines (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A337 Treasures for Sale (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A186 Those Amazing Reading Machines II (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A187 Those Amazing Reading Machines III (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A188 Those Amazing Reading Machines IV (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A191 Odell Lake (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A191 Odell Lake (Version 1.2) (cleanly cracked) [4am, Firehawke]
MECC-A192 Coordinate Math (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A192 Coordinate Math (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A193 Equation Math (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A193 Equation Math (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A195 Money Works (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A340 CryptoQuest (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A195 Money Works (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A196 Fraction Munchers (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A198 To Preserve, Protect and Defend (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A199 Zoyon Patrol (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A201 Conquering Whole Numbers (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A201 Conquering Whole Numbers (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A202 Fraction Concepts, Inc. (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A202 Fraction Concepts, Inc. (Version 1.2) (cleanly cracked) [4am, Firehawke]
MECC-A203 Fraction Practice Unlimited (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A203 Fraction Practice Unlimited (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A712 Music Theory: Music Fundamentals (Version 1.0) (cleanly cracked) [4am, Firehawke]
MECC-A719 Elementary Volume 5: Language Arts: Prefixes (Version 1.5) (cleanly cracked) [4am, Firehawke]
MECC-A719 Elementary Volume 5: Language Arts: Prefixes (Version 1.7) (cleanly cracked) [4am, Firehawke]
MECC-A721 Business Volume 3: Accounting (Version 1.8) (cleanly cracked) [4am, Firehawke]
MECC-A726 Spelling Volume 1: Primary (Version 2.0) (cleanly cracked) [4am, Firehawke]

Software list items promoted to working (apple2_flop_clcracked.xml)
-------------------------------------------------------------------
MECC-A157 Oregon Trail (Version 1.1) (cleanly cracked) [4am, Firehawke]
MECC-A785 Writing A Character Sketch (Version 1.0) (cleanly cracked) [4am, Firehawke]
All About Purim (cleanly cracked) [4am, Firehawke]
MECC-A172 MECC Dataquest Composer (Version 1.1) (cleanly cracked) [4am, Firehawke]

-mc146818: improve update in progress handling [Patrick Mackinlay]

New machines marked as NOT_WORKING
----------------------------------
Bee-Zerk [Bad A Billy, Smitdogg, The Dumping Union]
unknown VLC multigame [Bad A Billy, Smitdogg, The Dumping Union]

-video/segaic24.cpp: Fix out-of-bounds access in sprite drawing with inverted clipping (could crash during crkdown attract mode).
 [Vas Crabb]

New working clones
------------------
Maze (Trog bootleg) [Jorge Silva]

-swim3, pdm: MFM sector reading [Olivier Galibert]

Clones promoted to working
--------------------------
Happy Hour (JPM) (IMPACT) (HH2 C5) (set 1) [James Wallace]
Happy Hour (JPM) (IMPACT) (HH2 C5) (set 2) [James Wallace]
Happy Hour (JPM) (IMPACT) (HH2 C5) (set 3) [James Wallace]

-fmtowns: adjust palette change delay [cracyc]

-mac128: run vblank at the correct rate, fixes many instances of slowness [Jonathan Gevaryahu]

-vlc34010.cpp: Flesh out driver just enough to keep CPUs from running off rails [AJR]

-trs80: marked most as MNW, due to floppy regression and cassette issues. [Robbbert]
 * Replaced image.seterror with message, as seterror is ignored in this instance.

-Turn off VERBOSE [Aaron Giles]

-ppc: Fix mcrxr uml [Olivier Galibert]

-trs80: fixed typo in new comment [Robbbert]

New working clones
------------------
Meijinsen (set 2) [AeroCityMajor, The Dumping Union]

-awacs: Add init/save for a couple of missed variables [Olivier Galibert]

-ppc: fix mmu/exceptions debug messages [Olivier Galibert]

-hh_cop400: correct bship82 speaker output [hap]

-New working clones (#7893) [ClawGrip]

New working clones
------------------
Surf Planet (Version 3.0) [jordigahan]

-Add 'surfplnt30' [ClawGrip]

-Correct bad hash for MECC-A785 (#7894) [Firehawke]

-ppc: Fix uml for stswx, lswx [Olivier Galibert]

-ppc: better lswx/stsxw fix [Olivier Galibert]

-macpdm: Add scsi write [Olivier Galibert]

-vlc34010.cpp: A few more hookups [AJR]

-mc68hc11: Memory modernization and updates [AJR]
 * Eliminate data and I/O spaces, using memory views to remap internal RAM and I/O registers within the program space
 * Add MC68HC811E2 type
 * Lay some groundwork for future internal EEPROM support
 * Add RTI and counter overflow flag
 * Register debugger state for a few more internal registers

New working clones
------------------
Rabbit (Asia 1-28?) [twistedsymphony, The Dumping Union]

-msoccer: make the goalie led darker [hap]

-68hc11: amount of work not worthy of me being copyright holder [hap]

-fmtowns_flop.xml: split into three lists (original/cracked/misc), 7 new dumps, 1 replacement (#7864) [r09]

New working software list additions (fmtowns_flop_orig.xml)
-----------------------------------------------------------
AIV - A Ressha de Ikou 4 - Map Construction + Power-Up Kit [wiggy2k]
CD+Graphics Player V1.1L10 [cyo.the.vile]
Legends of Valour - Gouyuu no Densetsu - Demonstration [wiggy2k]
Nihongo MS-DOS V6.2 L10 (Kihon Kinou) [cyo.the.vile]
Ponyon [cyo.the.vile]

New not working software list additions (fmtowns_flop_orig.xml)
---------------------------------------------------------------
Mah-Saiko-Jong [wiggy2k]
Nihongo MS-DOS V5.0 L10 (Kihon Kinou) [cyo.the.vile]

Replaced software list items (fmtowns_flop_orig.xml)
----------------------------------------------------
Brandish [cyo.the.vile]

-spectrum_cass.xml: Populated year and publisher for many entries. (#7876) [ArcadeShadow]

-ssv.cpp: Fixed gdfs (Mobile Suit Gundam Final Shooting) sound ROM loading. (#7895) [David Haywood]

-mac.cpp: cleanup some leftover PowerMac bits [R. Belmont]

-mac.cpp: more dead code removal [R. Belmont]

-srcclean in preparation for release [Vas Crabb]

-asma2k: Fix memory-related regression [AJR]

-Fix building with clang 6 [Vas Crabb]
 * Annoyingly, clang 6 produces warnings for unused private static data members, but does not recognise the [[maybe_unused]]
    attribute for them.

-floppy: Fix an annoyingly subtle write bug [Olivier Galibert]

-Restore legacy pc_dsk floppy support for imgtool only [AJR]
